/*
Theme: Social
Version: 1.0
Date: 08 October 2013
Last Update: 08 October 2013
Author: Theme Booster
URI: www.themebooster.com
*/

jQuery(function () {
    jQuery("#pages-navigation").change(function () {
        location.href = jQuery(this).val();
    })
})

/*****************************************/

function addToWishList(product_id) {
	$.ajax({
		url: 'index.php?route=account/wishlist/add',
		type: 'post',
		data: 'product_id=' + product_id,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information').remove();
						
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/zshop/image/close.png" alt="" class="close" /></div>');
				
				$('.success').fadeIn('slow');
				$('.success').delay(3000).fadeOut();
				$('#wishlist-total').html(json['total']);
				
			}	
		}
	});
}

function addToCompare(product_id) { 
	$.ajax({
		url: 'index.php?route=product/compare/add',
		type: 'post',
		data: 'product_id=' + product_id,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information').remove();
						
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/zshop/image/close.png" alt="" class="close" /></div>');
				
				$('.success').fadeIn('slow');
				
				$('.success').delay(3000).fadeOut();
				
				$('#compare-total').html(json['total']);
				
			}	
		}
	});
}


function addToCart(product_id, quantity) {
	quantity = typeof(quantity) != 'undefined' ? quantity : 1;

	$.ajax({
		url: 'index.php?route=checkout/cart/add',
		type: 'post',
		data: 'product_id=' + product_id + '&quantity=' + quantity,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information, .error').remove();
			if (json['redirect']) {
				location = json['redirect'];
			}
			
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/zshop/image/close.png" alt="" class="close" /></div>');
				$('#cart').load('index.php?route=module/cart #cart > *');
				$('.success').fadeIn('slow');
				$('#cart-total').html(json['total']);
				
			}	
		}
	});
}

/*****************************************/

$(document).bind('pageshow',function(e) {
    var $anchor;
    console.log("location.hash="+location.hash);
    if (location.hash == "#starting-point" ) {
       
        $anchor = $(location.hash);
    }
    if ($anchor) {
        
        var pos = $anchor.offset().top;

        
        pos -= $('#header').outerHeight();

        $(document).bind('silentscroll',function(e,data) {
            $(this).unbind(e);
            window.scrollTo(0, pos);
        });
    }
});