/*

Theme: Social

Version: 1.0

Date: 08 October 2013

Last Update: 08 October 2013

Author: Theme Booster

URI: www.themebooster.com

*/



jQuery(document).ready(function() {

	jQuery("#featured-wrapper").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery("#featured-wrapper li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery("#featured-wrapper li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

	jQuery("#special-box").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery("#special-box li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery("#special-box li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

	jQuery("#latest-box").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery("#latest-box li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery("#latest-box li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

	jQuery("#bestseller-box").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery("#bestseller-box li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery("#bestseller-box li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

	jQuery("#viewed").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery("#viewed li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery("#viewed li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

	jQuery(".wrapper-relative-archive").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery(".wrapper-relative-archive li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery(".wrapper-relative-archive li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

	jQuery("#related-sidebar").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery("#related-sidebar li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery("#related-sidebar li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

	jQuery("#tab-related").delegate("li", "mouseover mouseout", function(e) {

		if (e.type == 'mouseover') {

		jQuery("#tab-related li").not(this).dequeue().animate({opacity: "0.2"}, 300);

    	} else {

		jQuery("#tab-related li").not(this).dequeue().animate({opacity: "1"}, 300);

   		}

	});

	

});



/*****************************************/



$(document).ready(function() {

$(".wrapper-relative-archive .span4:nth-child(4),.wrapper-relative-archive .span4:nth-child(7),.wrapper-relative-archive .span4:nth-child(10),.wrapper-relative-archive .span4:nth-child(13),.wrapper-relative-archive .span4:nth-child(16),.wrapper-relative-archive .span4:nth-child(19),.wrapper-relative-archive .span4:nth-child(22),.wrapper-relative-archive .span4:nth-child(25),.wrapper-relative-archive .span4:nth-child(28),.wrapper-relative-archive .span4:nth-child(31)").css("margin-left", "0");

$(".wrapper-relative-archive .span4:nth-child(4),.wrapper-relative-archive .span4:nth-child(7),.wrapper-relative-archive .span4:nth-child(10),.wrapper-relative-archive .span4:nth-child(13),.wrapper-relative-archive .span4:nth-child(16),.wrapper-relative-archive .span4:nth-child(19),.wrapper-relative-archive .span4:nth-child(22),.wrapper-relative-archive .span4:nth-child(25),.wrapper-relative-archive .span4:nth-child(28),.wrapper-relative-archive .span4:nth-child(31)").css("clear", "left");



$("#related-sidebar .span6:nth-child(3),#related-sidebar .span6:nth-child(5),#related-sidebar .span6:nth-child(7),#related-sidebar .span6:nth-child(9),#related-sidebar .span6:nth-child(12)").css("margin-left", "0");

$("#tab-related .span3:nth-child(4),#tab-related .span3:nth-child(7),#tab-related .span3:nth-child(10),#tab-related .span3:nth-child(13),#tab-related .span3:nth-child(16)").css("margin-left", "0");



});



/*****************************************/



function addToWishList(product_id) {

	$.ajax({

		url: 'index.php?route=account/wishlist/add',

		type: 'post',

		data: 'product_id=' + product_id,

		dataType: 'json',

		success: function(json) {

			$('.success, .warning, .attention, .information').remove();

						

			if (json['success']) {

				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/zshop/image/close.png" alt="" class="close" /></div>');

				

				$('.success').fadeIn('slow');

				$('.success').delay(3000).fadeOut();

				$('#wishlist-total').html(json['total']);

				

			}	

		}

	});

}



function addToCompare(product_id) { 

	$.ajax({

		url: 'index.php?route=product/compare/add',

		type: 'post',

		data: 'product_id=' + product_id,

		dataType: 'json',

		success: function(json) {

			$('.success, .warning, .attention, .information').remove();

						

			if (json['success']) {

				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/zshop/image/close.png" alt="" class="close" /></div>');

				

				$('.success').fadeIn('slow');

				

				$('.success').delay(3000).fadeOut();

				

				$('#compare-total').html(json['total']);

				

			}	

		}

	});

}



function addToCart(product_id, quantity) {

	quantity = typeof(quantity) != 'undefined' ? quantity : 1;



	$.ajax({

		url: 'index.php?route=checkout/cart/add',

		type: 'post',

		data: 'product_id=' + product_id + '&quantity=' + quantity,

		dataType: 'json',

		success: function(json) {

			$('.success, .warning, .attention, .information, .error').remove();

			

			if (json['redirect']) {

				location = json['redirect'];

			}

			

			if (json['success']) {

				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/zshop/image/close.png" alt="" class="close" /></div>');

				

				$('.success').fadeIn('slow');

				$('#cart-total').html(json['total']);

				

			}	

		}

	});

}



/*****************************************/



	$(document).ready(function() {

			

			

			// Pretty Radio Buttons, by Sean Foushee based on Pretty Checkboxes by Aaron Weyenberg

			$("div.prettyRadiobuttons").addClass("radiolist");

			$("div.radiolist p").append('<a class="radio-select" href="#">Select</a>');

			

			// code from here on is the same as Aaron Weyenberg

			$(".radiolist .radio-select").click(

				function(event) {

					event.preventDefault();

					var $boxes = $(this).parent().parent().children();

					$boxes.removeClass("selected");

					$(this).parent().addClass("selected");

					$(this).parent().find(":radio").attr("checked","checked");

				}

			);

			

		

			

			

			// Almost Pretty Radio Buttons

			$("div.prettyRadiobuttonsAlmost").addClass("radiolistalmost");

		});

		

/*****************************************/



$("#add").click(function(){

  var newQty = +($("#quantity").val()) + 1;

  $("#quantity").val(newQty);

});

$("#minus").click(function(){

  var newQty = +($("#quantity").val()) - 1;

  if(newQty < 0)newQty = 0;

  $("#quantity").val(newQty);

})



/*****************************************/



$(document).ready(function(){

   $(".scroll").click(function(event){

      event.preventDefault();

      var full_url = this.href;

      var parts = full_url.split("#");

      var trgt = parts[1];

      var target_offset = $("#"+trgt).offset();

      var target_top = target_offset.top;

      $('html, body').animate({scrollTop:target_top}, 700);

   });

});



/*****************************************/



/* Scroll to Top */

$(document).ready(function(){ 

	$(window).scroll(function(){

		if ($(this).scrollTop() > 100) {

			$('.scrollup').fadeIn();

		} else {

			$('.scrollup').fadeOut();

		}

	}); 

			

	$('.scrollup').click(function(){

	$("html, body").animate({ scrollTop: 0 }, 600);

	return false;

	});

});



/*****************************************/



/* nth-child for Internwt Explorer  */

$(document).ready(function() {

$("#our-choice .span6:nth-child(3),#our-choice .span6:nth-child(5), #our-choice .span6:nth-child(7), #our-choice .span6:nth-child(9), #our-choice .span6:nth-child(11)").css("margin-left", "0");

$("#our-choice .span6:nth-child(3),#our-choice .span6:nth-child(5), #our-choice .span6:nth-child(7), #our-choice .span6:nth-child(9), #our-choice .span6:nth-child(11)").css("clear", "left");

});