<?php echo $header; ?>


<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>



<?php if ($success) { ?>
<div class="success" data-role="popup"><?php echo $success; ?></div>
<?php } ?>

<div class="row-fluid">



	<div id="content">
	
		<div class="span12">
			
		<h1><?php echo $heading_title; ?></h1>
		<h2><?php echo $text_my_account; ?></h2>
			<div class="content account-links" data-role="controlgroup">
			<ul>
			  <li><a href="<?php echo $edit; ?>" data-role="button"><?php echo $text_edit; ?></a></li>
			  <li><a href="<?php echo $password; ?>" data-role="button"><?php echo $text_password; ?></a></li>
			  <li><a href="<?php echo $address; ?>" data-role="button"><?php echo $text_address; ?></a></li>
			  <li><a href="<?php echo $wishlist; ?>" data-role="button"><?php echo $text_wishlist; ?></a></li>
			</ul>
			</div>
  
		<h2><?php echo $text_my_orders; ?></h2>
			<div class="content account-links" data-role="controlgroup">
			<ul>
			  <li><a href="<?php echo $order; ?>" data-role="button"><?php echo $text_order; ?></a></li>
			  <li><a href="<?php echo $download; ?>" data-role="button"><?php echo $text_download; ?></a></li>
			  <?php if ($reward) { ?>
			  <li><a href="<?php echo $reward; ?>" data-role="button"><?php echo $text_reward; ?></a></li>
			  <?php } ?>
			  <li><a href="<?php echo $return; ?>" data-role="button"><?php echo $text_return; ?></a></li>
			  <li><a href="<?php echo $transaction; ?>" data-role="button"><?php echo $text_transaction; ?></a></li>
			</ul>
			</div>
  
		<h2><?php echo $text_my_newsletter; ?></h2>
			 <div class="content account-links" data-role="controlgroup">
				<ul>
				  <li><a href="<?php echo $newsletter; ?>" data-role="button"><?php echo $text_newsletter; ?></a></li>
				</ul>
			 </div>
		</div>
		
		
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>



<?php else: ?>


<?php if ($success) { ?>
<div class="success"><?php echo $success; ?></div>
<?php } ?>

<div class="row-fluid">

		<div class="breadcrumb">
		<?php foreach ($breadcrumbs as $breadcrumb) { ?>
		<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
		<?php } ?>
		</div>


	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		<h2><?php echo $text_my_account; ?></h2>
			<div class="content account-links" id="my-account-info">
			<ul>
			  <li><a href="<?php echo $edit; ?>"><?php echo $text_edit; ?></a></li>
			  <li><a href="<?php echo $password; ?>"><?php echo $text_password; ?></a></li>
			  <li><a href="<?php echo $address; ?>"><?php echo $text_address; ?></a></li>
			  <li><a href="<?php echo $wishlist; ?>"><?php echo $text_wishlist; ?></a></li>
			</ul>
			</div>
  
		<h2><?php echo $text_my_orders; ?></h2>
			<div class="content account-links" id="my-order">
			<ul>
			  <li><a href="<?php echo $order; ?>"><?php echo $text_order; ?></a></li>
			  <li><a href="<?php echo $download; ?>"><?php echo $text_download; ?></a></li>
			  <?php if ($reward) { ?>
			  <li><a href="<?php echo $reward; ?>"><?php echo $text_reward; ?></a></li>
			  <?php } ?>
			  <li><a href="<?php echo $return; ?>"><?php echo $text_return; ?></a></li>
			  <li><a href="<?php echo $transaction; ?>"><?php echo $text_transaction; ?></a></li>
				<li><a href="<?php echo $recurring; ?>"><?php echo $text_recurring; ?></a></li>
			</ul>
			</div>
  
		<h2><?php echo $text_my_newsletter; ?></h2>
			 <div class="content account-links" id="my-newsletter">
				<ul>
				  <li><a href="<?php echo $newsletter; ?>"><?php echo $text_newsletter; ?></a></li>
				</ul>
			 </div>
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>

<?php endif; ?>

<?php echo $footer; ?>