<?php echo $header; ?>

<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<?php if ($success) { ?>
<div class="success" data-role="popup"><?php echo $success; ?></div>
<?php } ?>
<?php if ($error_warning) { ?>
<div class="warning" data-role="popup"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="row-fluid">
	<div id="content">
		<div class="span8">
		<h1><?php echo $heading_title; ?></h1>
		<h2><?php echo $text_address_book; ?></h2>
  <?php foreach ($addresses as $result) { ?>
  <div class="content">
    <table style="width: 100%;">
      <tr>
        <td><?php echo $result['address']; ?></td>
        <td style="text-align: right;"><a href="<?php echo $result['update']; ?>" data-role="button" data-theme="a" data-inline="true" data-mini="true"><?php echo $button_edit; ?></a> &nbsp; <a href="<?php echo $result['delete']; ?>" data-role="button" data-theme="a" data-inline="true" data-mini="true"><?php echo $button_delete; ?></a></td>
      </tr>
    </table>
  </div>
  <?php } ?>
  <div class="buttons">
    <div class="left"><a href="<?php echo $back; ?>" data-role="button" data-theme="a"><?php echo $button_back; ?></a>
    <a href="<?php echo $insert; ?>" data-role="button" data-theme="b" data-icon="arrow-r" data-iconpos="right"><?php echo $button_new_address; ?></a></div>
  </div>
		
		
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>

<?php else: ?>

<?php if ($success) { ?>
<div class="success"><?php echo $success; ?></div>
<?php } ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="row-fluid">

	<div class="breadcrumb">
	<?php foreach ($breadcrumbs as $breadcrumb) { ?>
	<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
	<?php } ?>
	</div>

	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		
		
		
			<h2><?php echo $text_address_book; ?></h2>
  <?php foreach ($addresses as $result) { ?>
  <div class="content account-box">
    <table style="width: 100%;">
      <tr>
        <td><?php echo $result['address']; ?></td>
        <td style="text-align: right;"><a href="<?php echo $result['update']; ?>" class="btn btn-mini light"><?php echo $button_edit; ?></a> &nbsp; <a href="<?php echo $result['delete']; ?>" class="btn btn-mini light"><?php echo $button_delete; ?></a></td>
      </tr>
    </table>
  </div>
  <?php } ?>
  <div class="buttons">
    <div class="left"><a href="<?php echo $back; ?>" class="btn btn-mini light"><?php echo $button_back; ?></a>
    <a href="<?php echo $insert; ?>" class="btn btn-mini btn-info"><?php echo $button_new_address; ?></a></div>
  </div>
		
		
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>


<?php endif; ?>

<?php echo $footer; ?>