<?php echo $header; ?>

<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>



<div class="row-fluid">
	<div id="content">	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		
			<p><?php echo $text_total; ?><b> <?php echo $total; ?></b>.</p>
  <table class="list responsive-mobile">
    <thead>
      <tr>
        <td class="left"><?php echo $column_date_added; ?></td>
        <td class="left"><?php echo $column_description; ?></td>
        <td class="right"><?php echo $column_points; ?></td>
      </tr>
    </thead>
    <tbody>
      <?php if ($rewards) { ?>
      <?php foreach ($rewards  as $reward) { ?>
      <tr>
        <td class="left"><?php echo $reward['date_added']; ?></td>
        <td class="left"><?php if ($reward['order_id']) { ?>
          <a href="<?php echo $reward['href']; ?>"><?php echo $reward['description']; ?></a>
          <?php } else { ?>
          <?php echo $reward['description']; ?>
          <?php } ?></td>
        <td class="right"><?php echo $reward['points']; ?></td>
      </tr>
      <?php } ?>
      <?php } else { ?>
      <tr>
        <td class="center" colspan="5"><?php echo $text_empty; ?></td>
      </tr>
      <?php } ?>
    </tbody>
  </table>
  <div class="pagination"><?php echo $pagination; ?></div>
  <div class="buttons">
    <div class="right"><a href="<?php echo $continue; ?>" data-role="button" data-theme="b" data-icon="arrow-r" data-iconpos="right"><?php echo $button_continue; ?></a></div>
  </div>
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>


<?php else: ?>

<div class="row-fluid">

	<div class="breadcrumb">
	<?php foreach ($breadcrumbs as $breadcrumb) { ?>
	<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
	<?php } ?>
	</div>

	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		
			<p><?php echo $text_total; ?><b> <?php echo $total; ?></b>.</p>
  <table class="list account-box">
    <thead>
      <tr>
        <td class="left"><?php echo $column_date_added; ?></td>
        <td class="left"><?php echo $column_description; ?></td>
        <td class="right"><?php echo $column_points; ?></td>
      </tr>
    </thead>
    <tbody>
      <?php if ($rewards) { ?>
      <?php foreach ($rewards  as $reward) { ?>
      <tr>
        <td class="left"><?php echo $reward['date_added']; ?></td>
        <td class="left"><?php if ($reward['order_id']) { ?>
          <a href="<?php echo $reward['href']; ?>"><?php echo $reward['description']; ?></a>
          <?php } else { ?>
          <?php echo $reward['description']; ?>
          <?php } ?></td>
        <td class="right"><?php echo $reward['points']; ?></td>
      </tr>
      <?php } ?>
      <?php } else { ?>
      <tr>
        <td class="center" colspan="5"><?php echo $text_empty; ?></td>
      </tr>
      <?php } ?>
    </tbody>
  </table>
  <div class="pagination"><?php echo $pagination; ?></div>
  <div class="buttons">
    <div class="right"><a href="<?php echo $continue; ?>" class="btn btn-info"><?php echo $button_continue; ?></a></div>
  </div>
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>


<?php endif; ?>
<?php echo $footer; ?>