<?php echo $header; ?>


<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>



<?php if ($success) { ?>
<div class="success" data-role="popup"><?php echo $success; ?></div>
<?php } ?>
<?php if ($error_warning) { ?>
<div class="warning" data-role="popup"><?php echo $error_warning; ?></div>
<?php } ?>

<div class="row-fluid">
	<div id="content">
		<div class="span12">
			
		<h1><?php echo $heading_title; ?></h1>
			
			<?php echo $text_description; ?>
			<div class="login-content">
				<div class="span6">
				  <h2><?php echo $text_new_affiliate; ?></h2>
				  <div class="content"><?php echo $text_register_account; ?> <a href="<?php echo $register; ?>" data-ajax="false" data-role="button" data-theme="b" data-icon="arrow-r" data-iconpos="right"><?php echo $button_continue; ?></a></div>
				</div>
				<div class="span6">
				  <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
					<h2><?php echo $text_returning_affiliate; ?></h2>
					<div class="content">
					  <p><?php echo $text_i_am_returning_affiliate; ?></p>
					  <b><?php echo $entry_email; ?></b><br />
					  <input type="text" name="email" value="<?php echo $email; ?>" />
					  <br />
					  <br />
					  <b><?php echo $entry_password; ?></b><br />
					  <input type="password" name="password" value="<?php echo $password; ?>" />
					  <br />
					  <a href="<?php echo $forgotten; ?>" data-role="button" data-theme="a"><?php echo $text_forgotten; ?></a><br />
					  <br />
					  <input type="submit" value="<?php echo $button_login; ?>" data-theme="b" data-icon="arrow-r" data-iconpos="right" />
					  <?php if ($redirect) { ?>
					  <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />
					  <?php } ?>
					</div>
				  </form>
				</div>
			</div>
			
			
		</div>
		
	
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>




<?php else: ?>


<?php if ($success) { ?>
<div class="success"><?php echo $success; ?></div>
<?php } ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>

<div class="row-fluid">
	<div class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
			<?php } ?>
			</div>

	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span12">
			
		<h1><?php echo $heading_title; ?></h1>
			
			<?php echo $text_description; ?>
			<div class="login-content">
				<div class="span6">
				  <h2><?php echo $text_new_affiliate; ?></h2>
				  <div class="content affiliate-box"><?php echo $text_register_account; ?> <a href="<?php echo $register; ?>" class="btn btn-info"><?php echo $button_continue; ?></a></div>
				</div>
				<div class="span6">
				  <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
					<h2><?php echo $text_returning_affiliate; ?></h2>
					<div class="content affiliate-box">
					  <p><?php echo $text_i_am_returning_affiliate; ?></p>
					  <b><?php echo $entry_email; ?></b><br />
					  <input type="text" name="email" value="<?php echo $email; ?>" />
					  <br />
					  <br />
					  <b><?php echo $entry_password; ?></b><br />
					  <input type="password" name="password" value="<?php echo $password; ?>" />
					  <br />
					  <a class="btn light" href="<?php echo $forgotten; ?>"><?php echo $text_forgotten; ?></a><br />
					  <br />
					  <input type="submit" value="<?php echo $button_login; ?>" class="btn btn-info" />
					  <?php if ($redirect) { ?>
					  <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />
					  <?php } ?>
					</div>
				  </form>
				</div>
			</div>
			
			
		</div>
		
	
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>


<?php endif; ?>
<?php echo $footer; ?>