<?php echo $header; ?>


<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>



<div class="row-fluid">
	<div id="content">	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		<p><?php echo $text_account_already; ?></p>
		  <p><?php echo $text_signup; ?></p>
		  <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
			<h2><?php echo $text_your_details; ?></h2>
			<div class="content">
			  <table class="form">
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_firstname; ?></td>
				  <td><input type="text" name="firstname" value="<?php echo $firstname; ?>" />
					<?php if ($error_firstname) { ?>
					<span class="error"><span><?php echo $error_firstname; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_lastname; ?></td>
				  <td><input type="text" name="lastname" value="<?php echo $lastname; ?>" />
					<?php if ($error_lastname) { ?>
					<span class="error"><span><?php echo $error_lastname; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_email; ?></td>
				  <td><input type="text" name="email" value="<?php echo $email; ?>" />
					<?php if ($error_email) { ?>
					<span class="error"><span><?php echo $error_email; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_telephone; ?></td>
				  <td><input type="text" name="telephone" value="<?php echo $telephone; ?>" />
					<?php if ($error_telephone) { ?>
					<span class="error"><span><?php echo $error_telephone; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><?php echo $entry_fax; ?></td>
				  <td><input type="text" name="fax" value="<?php echo $fax; ?>" /></td>
				</tr>
			  </table>
			</div>
			<h2><?php echo $text_your_address; ?></h2>
			<div class="content">
			  <table class="form">
				<tr>
				  <td><?php echo $entry_company; ?></td>
				  <td><input type="text" name="company" value="<?php echo $company; ?>" /></td>
				</tr>
				<tr>
				  <td><?php echo $entry_website; ?></td>
				  <td><input type="text" name="website" value="<?php echo $website; ?>" /></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_address_1; ?></td>
				  <td><input type="text" name="address_1" value="<?php echo $address_1; ?>" />
					<?php if ($error_address_1) { ?>
					<span class="error"><span><?php echo $error_address_1; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><?php echo $entry_address_2; ?></td>
				  <td><input type="text" name="address_2" value="<?php echo $address_2; ?>" /></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_city; ?></td>
				  <td><input type="text" name="city" value="<?php echo $city; ?>" />
					<?php if ($error_city) { ?>
					<span class="error"><span><?php echo $error_city; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span id="postcode-required" class="required">*</span> <?php echo $entry_postcode; ?></td>
				  <td><input type="text" name="postcode" value="<?php echo $postcode; ?>" />
					<?php if ($error_postcode) { ?>
					<span class="error"><span><?php echo $error_postcode; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_country; ?></td>
				  <td><select name="country_id">
					  <option value="false"><?php echo $text_select; ?></option>
					  <?php foreach ($countries as $country) { ?>
					  <?php if ($country['country_id'] == $country_id) { ?>
					  <option value="<?php echo $country['country_id']; ?>" selected="selected"><?php echo $country['name']; ?></option>
					  <?php } else { ?>
					  <option value="<?php echo $country['country_id']; ?>"><?php echo $country['name']; ?></option>
					  <?php } ?>
					  <?php } ?>
					</select>
					<?php if ($error_country) { ?>
					<span class="error"><span><?php echo $error_country; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_zone; ?></td>
				  <td><select name="zone_id">
					</select>
					<?php if ($error_zone) { ?>
					<span class="error"><span><?php echo $error_zone; ?></span></span>
					<?php } ?></td>
				</tr>
			  </table>
			</div>
			<h2><?php echo $text_payment; ?></h2>
			<div class="content">
			  <table class="form">
				<tbody>
				  <tr>
					<td><?php echo $entry_tax; ?></td>
					<td><input type="text" name="tax" value="<?php echo $tax; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_payment; ?></td>
					<td><?php if ($payment == 'cheque') { ?>
					  <input type="radio" name="payment" value="cheque" id="cheque" checked="checked" /><label for="cheque" class="label-cheque"><span></span><?php echo $text_cheque; ?></label>
					  <?php } else { ?>
					  <input type="radio" name="payment" value="cheque" id="cheque" /><label for="cheque" class="label-cheque"><span></span><?php echo $text_cheque; ?></label>
					  <?php } ?>
					  
					  <?php if ($payment == 'paypal') { ?>
					  <input type="radio" name="payment" value="paypal" id="paypal" checked="checked" /><label for="paypal" class="label-paypal"><span></span><?php echo $text_paypal; ?></label>
					  <?php } else { ?>
					  <input type="radio" name="payment" value="paypal" id="paypal" /><label for="paypal" class="label-paypal"><span></span><?php echo $text_paypal; ?></label>
					  <?php } ?>
					  
					  <?php if ($payment == 'bank') { ?>
					  <input type="radio" name="payment" value="bank" id="bank" checked="checked" /><label for="bank" class="label-bank"><span></span><?php echo $text_bank; ?></label>
					  <?php } else { ?>
					  <input type="radio" name="payment" value="bank" id="bank" /><label for="bank" class="label-bank"><span></span><?php echo $text_bank; ?></label>
					  <?php } ?>
					  </td>
				  </tr>
				</tbody>
				<tbody id="payment-cheque" class="payment">
				  <tr>
					<td><?php echo $entry_cheque; ?></td>
					<td><input type="text" name="cheque" value="<?php echo $cheque; ?>" /></td>
				  </tr>
				</tbody>
				<tbody class="payment" id="payment-paypal">
				  <tr>
					<td><?php echo $entry_paypal; ?></td>
					<td><input type="text" name="paypal" value="<?php echo $paypal; ?>" /></td>
				  </tr>
				</tbody>
				<tbody id="payment-bank" class="payment">
				  <tr>
					<td><?php echo $entry_bank_name; ?></td>
					<td><input type="text" name="bank_name" value="<?php echo $bank_name; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_branch_number; ?></td>
					<td><input type="text" name="bank_branch_number" value="<?php echo $bank_branch_number; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_swift_code; ?></td>
					<td><input type="text" name="bank_swift_code" value="<?php echo $bank_swift_code; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_account_name; ?></td>
					<td><input type="text" name="bank_account_name" value="<?php echo $bank_account_name; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_account_number; ?></td>
					<td><input type="text" name="bank_account_number" value="<?php echo $bank_account_number; ?>" /></td>
				  </tr>
				</tbody>
			  </table>
			</div>
			<h2><?php echo $text_your_password; ?></h2>
			<div class="content">
			  <table class="form">
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_password; ?></td>
				  <td><input type="password" name="password" value="<?php echo $password; ?>" />
					<?php if ($error_password) { ?>
					<span class="error"><span><span><?php echo $error_password; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_confirm; ?></td>
				  <td><input type="password" name="confirm" value="<?php echo $confirm; ?>" />
					<?php if ($error_confirm) { ?>
					<span class="error"><span><span><?php echo $error_confirm; ?></span></span>
					<?php } ?></td>
				</tr>
			  </table>
			</div>
			<?php if ($text_agree) { ?>
			<div class="buttons">
			  <div class="left">
				<?php if ($agree) { ?>
				<input type="checkbox" name="agree" id="agree" value="1" checked="checked" /><label for="agree"><span></span><?php echo $text_agree; ?></label>
				<?php } else { ?>
				<input type="checkbox" name="agree" id="agree" value="1" /><label for="agree"><span></span><?php echo $text_agree; ?></label>
				<?php } ?>
				<input type="submit" value="<?php echo $button_continue; ?>"  data-theme="b" data-icon="arrow-r" data-iconpos="right" />
			  </div>
			</div>
			<?php } else { ?>
			<div class="buttons">
			  <div class="left">
				<input type="submit" value="<?php echo $button_continue; ?>"  data-theme="b" data-icon="arrow-r" data-iconpos="right" />
			  </div>
			</div>
			<?php } ?>
		  </form>
		
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>









<?php else: ?>

<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>

<div class="row-fluid">

<div class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
			<?php } ?>
			</div>

	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		<p><?php echo $text_account_already; ?></p>
		  <p><?php echo $text_signup; ?></p>
		  <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
			<h2><?php echo $text_your_details; ?></h2>
			<div class="content affiliate-box">
			  <table class="form">
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_firstname; ?></td>
				  <td><input type="text" name="firstname" value="<?php echo $firstname; ?>" />
					<?php if ($error_firstname) { ?>
					<span class="error"><span><?php echo $error_firstname; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_lastname; ?></td>
				  <td><input type="text" name="lastname" value="<?php echo $lastname; ?>" />
					<?php if ($error_lastname) { ?>
					<span class="error"><span><?php echo $error_lastname; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_email; ?></td>
				  <td><input type="text" name="email" value="<?php echo $email; ?>" />
					<?php if ($error_email) { ?>
					<span class="error"><span><?php echo $error_email; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_telephone; ?></td>
				  <td><input type="text" name="telephone" value="<?php echo $telephone; ?>" />
					<?php if ($error_telephone) { ?>
					<span class="error"><span><?php echo $error_telephone; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><?php echo $entry_fax; ?></td>
				  <td><input type="text" name="fax" value="<?php echo $fax; ?>" /></td>
				</tr>
			  </table>
			</div>
			<h2><?php echo $text_your_address; ?></h2>
			<div class="content affiliate-box">
			  <table class="form">
				<tr>
				  <td><?php echo $entry_company; ?></td>
				  <td><input type="text" name="company" value="<?php echo $company; ?>" /></td>
				</tr>
				<tr>
				  <td><?php echo $entry_website; ?></td>
				  <td><input type="text" name="website" value="<?php echo $website; ?>" /></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_address_1; ?></td>
				  <td><input type="text" name="address_1" value="<?php echo $address_1; ?>" />
					<?php if ($error_address_1) { ?>
					<span class="error"><span><?php echo $error_address_1; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><?php echo $entry_address_2; ?></td>
				  <td><input type="text" name="address_2" value="<?php echo $address_2; ?>" /></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_city; ?></td>
				  <td><input type="text" name="city" value="<?php echo $city; ?>" />
					<?php if ($error_city) { ?>
					<span class="error"><span><?php echo $error_city; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span id="postcode-required" class="required">*</span> <?php echo $entry_postcode; ?></td>
				  <td><input type="text" name="postcode" value="<?php echo $postcode; ?>" />
					<?php if ($error_postcode) { ?>
					<span class="error"><span><?php echo $error_postcode; ?></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_country; ?></td>
				  <td><select name="country_id">
					  <option value="false"><?php echo $text_select; ?></option>
					  <?php foreach ($countries as $country) { ?>
					  <?php if ($country['country_id'] == $country_id) { ?>
					  <option value="<?php echo $country['country_id']; ?>" selected="selected"><?php echo $country['name']; ?></option>
					  <?php } else { ?>
					  <option value="<?php echo $country['country_id']; ?>"><?php echo $country['name']; ?></option>
					  <?php } ?>
					  <?php } ?>
					</select>
					<?php if ($error_country) { ?>
					<span class="error"><span><?php echo $error_country; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_zone; ?></td>
				  <td><select name="zone_id">
					</select>
					<?php if ($error_zone) { ?>
					<span class="error"><span><?php echo $error_zone; ?></span></span>
					<?php } ?></td>
				</tr>
			  </table>
			</div>
			<h2><?php echo $text_payment; ?></h2>
			<div class="content affiliate-box">
			  <table class="form">
				<tbody>
				  <tr>
					<td><?php echo $entry_tax; ?></td>
					<td><input type="text" name="tax" value="<?php echo $tax; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_payment; ?></td>
					<td><?php if ($payment == 'cheque') { ?>
					  <input type="radio" name="payment" value="cheque" id="cheque" checked="checked" /><label for="cheque" class="label-cheque"><span></span><?php echo $text_cheque; ?></label>
					  <?php } else { ?>
					  <input type="radio" name="payment" value="cheque" id="cheque" /><label for="cheque" class="label-cheque"><span></span><?php echo $text_cheque; ?></label>
					  <?php } ?>
					  <br />
					  <?php if ($payment == 'paypal') { ?>
					  <input type="radio" name="payment" value="paypal" id="paypal" checked="checked" /><label for="paypal" class="label-paypal"><span></span><?php echo $text_paypal; ?></label>
					  <?php } else { ?>
					  <input type="radio" name="payment" value="paypal" id="paypal" /><label for="paypal" class="label-paypal"><span></span><?php echo $text_paypal; ?></label>
					  <?php } ?>
					  <br />
					  <?php if ($payment == 'bank') { ?>
					  <input type="radio" name="payment" value="bank" id="bank" checked="checked" /><label for="bank" class="label-bank"><span></span><?php echo $text_bank; ?></label>
					  <?php } else { ?>
					  <input type="radio" name="payment" value="bank" id="bank" /><label for="bank" class="label-bank"><span></span><?php echo $text_bank; ?></label>
					  <?php } ?>
					  </td>
				  </tr>
				</tbody>
				<tbody id="payment-cheque" class="payment">
				  <tr>
					<td><?php echo $entry_cheque; ?></td>
					<td><input type="text" name="cheque" value="<?php echo $cheque; ?>" /></td>
				  </tr>
				</tbody>
				<tbody class="payment" id="payment-paypal">
				  <tr>
					<td><?php echo $entry_paypal; ?></td>
					<td><input type="text" name="paypal" value="<?php echo $paypal; ?>" /></td>
				  </tr>
				</tbody>
				<tbody id="payment-bank" class="payment">
				  <tr>
					<td><?php echo $entry_bank_name; ?></td>
					<td><input type="text" name="bank_name" value="<?php echo $bank_name; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_branch_number; ?></td>
					<td><input type="text" name="bank_branch_number" value="<?php echo $bank_branch_number; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_swift_code; ?></td>
					<td><input type="text" name="bank_swift_code" value="<?php echo $bank_swift_code; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_account_name; ?></td>
					<td><input type="text" name="bank_account_name" value="<?php echo $bank_account_name; ?>" /></td>
				  </tr>
				  <tr>
					<td><?php echo $entry_bank_account_number; ?></td>
					<td><input type="text" name="bank_account_number" value="<?php echo $bank_account_number; ?>" /></td>
				  </tr>
				</tbody>
			  </table>
			</div>
			<h2><?php echo $text_your_password; ?></h2>
			<div class="content affiliate-box">
			  <table class="form">
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_password; ?></td>
				  <td><input type="password" name="password" value="<?php echo $password; ?>" />
					<?php if ($error_password) { ?>
					<span class="error"><span><?php echo $error_password; ?></span></span>
					<?php } ?></td>
				</tr>
				<tr>
				  <td><span class="required">*</span> <?php echo $entry_confirm; ?></td>
				  <td><input type="password" name="confirm" value="<?php echo $confirm; ?>" />
					<?php if ($error_confirm) { ?>
					<span class="error"><span><?php echo $error_confirm; ?></span></span>
					<?php } ?></td>
				</tr>
			  </table>
			</div>
			<?php if ($text_agree) { ?>
			<div class="buttons">
			  <div class="left">
				<?php if ($agree) { ?>
				<input type="checkbox" name="agree" id="agree" value="1" checked="checked" /><label for="agree"><?php echo $text_agree; ?></label>
				<?php } else { ?>
				<input type="checkbox" name="agree" id="agree" value="1" /><label for="agree"><?php echo $text_agree; ?></label>
				<?php } ?>
				<input type="submit" value="<?php echo $button_continue; ?>" class="btn btn-info" />
			  </div>
			</div>
			<?php } else { ?>
			<div class="buttons">
			  <div class="left">
				<input type="submit" value="<?php echo $button_continue; ?>" class="btn btn-info" />
			  </div>
			</div>
			<?php } ?>
		  </form>
		
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>

<?php endif; ?>

<script type="text/javascript"><!--
$('select[name=\'country_id\']').bind('change', function() {
	$.ajax({
		url: 'index.php?route=affiliate/register/country&country_id=' + this.value,
		dataType: 'json',
		beforeSend: function() {
			$('select[name=\'country_id\']').after('<span class="wait">&nbsp;<img src="catalog/view/theme/social/image/loading.gif" alt="" /></span>');
		},
		complete: function() {
			$('.wait').remove();
		},			
		success: function(json) {
			if (json['postcode_required'] == '1') {
				$('#postcode-required').show();
			} else {
				$('#postcode-required').hide();
			}
			
			html = '<option value=""><?php echo $text_select; ?></option>';
			
			if (json['zone'] != '') {
				for (i = 0; i < json['zone'].length; i++) {
        			html += '<option value="' + json['zone'][i]['zone_id'] + '"';
	    			
					if (json['zone'][i]['zone_id'] == '<?php echo $zone_id; ?>') {
	      				html += ' selected="selected"';
	    			}
	
	    			html += '>' + json['zone'][i]['name'] + '</option>';
				}
			} else {
				html += '<option value="0" selected="selected"><?php echo $text_none; ?></option>';
			}
			
			$('select[name=\'zone_id\']').html(html);
		},
		error: function(xhr, ajaxOptions, thrownError) {
			alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
		}
	});
});

$('select[name=\'country_id\']').trigger('change');
//--></script>
<script type="text/javascript"><!--
$('input[name=\'payment\']').bind('change', function() {
	$('.payment').hide();
	
	$('#payment-' + this.value).show();
});

$('input[name=\'payment\']:checked').trigger('change');
//--></script> 
<script type="text/javascript"><!--
$(document).ready(function() {
	$('.colorbox').colorbox({
		width: 640,
		height: 480
	});
});
//--></script> 
<?php echo $footer; ?>