<?php echo $header; ?>

<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>


<div class="row-fluid">
	<div id="content">
		<div class="span8">
		<h1><?php echo $heading_title; ?></h1>
		<p><?php echo $text_description; ?></p>
		<p><?php echo $text_code; ?><br />
    <textarea cols="40" rows="5"><?php echo $code; ?></textarea>
  </p>
  <p><?php echo $text_generator; ?><br />
    <input type="text" name="product" value="" />
  </p>
  <p><?php echo $text_link; ?><br />
    <textarea name="link" cols="40" rows="5"></textarea>
  </p>
  <div class="buttons">
    <div class="right"><a href="<?php echo $continue; ?>" data-role="button" data-theme="b" data-icon="arrow-r" data-iconpos="right"><?php echo $button_continue; ?></a></div>
  </div>
		
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>


<?php else: ?>


<div class="row-fluid">
<div class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
			<?php } ?>
			</div>

	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		<div class="content affiliate-box">
		<p><?php echo $text_description; ?></p>
  <p><?php echo $text_code; ?><br />
    <textarea cols="40" rows="5"><?php echo $code; ?></textarea>
  </p>
  <p><?php echo $text_generator; ?><br />
    <input type="text" name="product" value="" />
  </p>
  <p><?php echo $text_link; ?><br />
    <textarea name="link" cols="40" rows="5"></textarea>
  </p>
  </div>
  <div class="buttons">
    <div class="right"><a href="<?php echo $continue; ?>" class="btn btn-info"><?php echo $button_continue; ?></a></div>
  </div>
		
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>

<?php endif; ?>

<script type="text/javascript"><!--
$('input[name=\'product\']').autocomplete({
	delay: 500,
	source: function(request, response) {
		$.ajax({
			url: 'index.php?route=affiliate/tracking/autocomplete&filter_name=' +  encodeURIComponent(request.term),
			dataType: 'json',
			success: function(json) {		
				response($.map(json, function(item) {
					return {
						label: item.name,
						value: item.link
					}
				}));
			}
		});
	},
	select: function(event, ui) {
		$('input[name=\'product\']').attr('value', ui.item.label);
		$('textarea[name=\'link\']').attr('value', ui.item.value);
						
		return false;
	},
	focus: function(event, ui) {
      return false;
   }
});
//--></script> 
<?php echo $footer; ?>