<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>
	</div>
	<div id="footer" data-theme="d" data-role="footer">
		<div data-role="content">
		<h3><?php echo $store; ?></h3>
		<p><?php if ($address) { ?><?php echo $address; ?><?php } ?><br />
		<?php if ($telephone) { ?><a href="<?php echo $telephone; ?>"><span id="tel"><?php echo $telephone; ?></span></a><?php } ?>
		<?php if ($fax) { ?><a href="<?php echo $fax; ?>"><span id="fax"><?php echo $fax; ?></span></a><?php } ?>
		</p>
		</div>
	</div>	
	
<?php else : ?>

</div>

<footer id="footer">
<div class="container-fluid">
	<div class="row-fluid">
		<div class="span12">
		<?php if ($informations) { ?>
			<div class="span3" id="information">
			<h3><?php echo $text_information; ?></h3>
			<ul>
			<?php foreach ($informations as $information) { ?>
			<li><a href="<?php echo $information['href']; ?>"><?php echo $information['title']; ?></a></li>
			<?php } ?>
			</ul>
			</div>
			<?php } ?>
			
			<div class="span3" id="extras">
			<h3><?php echo $text_extra; ?></h3>
			<ul>
			<li><a href="<?php echo $manufacturer; ?>"><?php echo $text_manufacturer; ?></a></li>
			<li><a href="<?php echo $voucher; ?>"><?php echo $text_voucher; ?></a></li>
			<li><a href="<?php echo $affiliate; ?>"><?php echo $text_affiliate; ?></a></li>
			<li><a href="<?php echo $special; ?>"><?php echo $text_special; ?></a></li>
			</ul>
			</div>
			
			<div class="span3" id="my-account">
			<h3><?php echo $text_account; ?></h3>
			<ul>
			<li><a href="<?php echo $account; ?>"><?php echo $text_account; ?></a></li>
			<li><a href="<?php echo $order; ?>"><?php echo $text_order; ?></a></li>
			<li><a href="<?php echo $wishlist; ?>"><?php echo $text_wishlist; ?></a></li>
			<li><a href="<?php echo $newsletter; ?>"><?php echo $text_newsletter; ?></a></li>
			</ul>
			</div>

			<div class="span3" id="customer-service">
			<h3><?php echo $text_service; ?></h3>
			<ul>
			<li><a href="<?php echo $contact; ?>"><?php echo $text_contact; ?></a></li>
			<li><a href="<?php echo $contact; ?>"><?php echo $text_where; ?></a></li>
			<li><a href="<?php echo $return; ?>"><?php echo $text_return; ?></a></li>
			<li><a href="<?php echo $sitemap; ?>"><?php echo $text_sitemap; ?></a></li>
			</ul>
			</div>
		</div>
		
  
	</div>
	
	<div class="row-fluid" id="store">
		<div class="span9">
		<h3><?php echo $store; ?></h3>
		<p><?php if ($address) { ?><?php echo $address; ?><?php } ?>
		<?php if ($telephone) { ?><span id="tel"><?php echo $telephone; ?></span><?php } ?>
		<?php if ($fax) { ?><span id="fax"><?php echo $fax; ?></span><?php } ?>
		</p>
		</div>
  
		<!-- Social Icons -->
		<div class="span3">
		<h3 id="social-title"><?php echo $text_follow_us; ?></h3>
		<ul id="social-links">
		<li><a class="facebook" href="#">Facebook</a></li>
		<li><a class="twitter" href="#">Twitter</a></li>
		<li><a class="google" href="#">Google +</a></li>
		<li><a class="pinterest" href="#">Pinterest</a></li>
		<li><a class="youtube" href="#">YouTube</a></li>
		<li><a class="vimeo" href="#">Vimeo</a></li>
		<li><a class="rss" href="#">RSS</a></li>
		</ul>
		</div>
			
	</div>
	
	<div id="powered">Design: <a href="http://www.themebooster.com">ThemeBooster</a> | <?php echo $powered; ?></div>
</div>
<a href="#" class="scrollup">Scroll up</a>
</footer>

<script type="text/javascript" src="catalog/view/theme/social/javascript/social.js"></script>
<script type="text/javascript" src="catalog/view/theme/social/javascript/bootstrap.min.js"></script>
<script type="text/javascript" src="catalog/view/theme/social/javascript/jquery.flexslider-min.js"></script>
<script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
<script type="text/javascript"><!--
$('.carousel').jcarousel({
	vertical: false,
	visible: 4,
	scroll: 1
});
//--></script>
<?php endif; ?>

</body>
</html>