<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<div class="box">
  <div class="box-heading"><?php echo $heading_title; ?></div>
  <div class="box-content" data-role="controlgroup">
    <ul>
      <?php if (!$logged) { ?>
      <li><a href="<?php echo $login; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_login; ?></a> <a href="<?php echo $register; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_register; ?></a></li>
      <li><a href="<?php echo $forgotten; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_forgotten; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $account; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_account; ?></a></li>
      <?php if ($logged) { ?>
      <li><a href="<?php echo $edit; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_edit; ?></a></li>
      <li><a href="<?php echo $password; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_password; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $address; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_address; ?></a></li>
      <li><a href="<?php echo $wishlist; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_wishlist; ?></a></li>
      <li><a href="<?php echo $order; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_order; ?></a></li>
      <li><a href="<?php echo $download; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_download; ?></a></li>
      <li><a href="<?php echo $return; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_return; ?></a></li>
      <li><a href="<?php echo $transaction; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_transaction; ?></a></li>
      <li><a href="<?php echo $newsletter; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_newsletter; ?></a></li>
      <li><a href="<?php echo $recurring; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_recurring; ?></a></li>
	  <?php if ($logged) { ?>
      <li><a href="<?php echo $logout; ?>" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_logout; ?></a></li>
      <?php } ?>
    </ul>
  </div>
</div>

<?php else: ?>

<div class="box" id="account-links">
  <div class="box-heading"><?php echo $heading_title; ?></div>
  <div class="box-content">
    <ul>
      <?php if (!$logged) { ?>
      <li><a href="<?php echo $login; ?>"><?php echo $text_login; ?></a> / <a href="<?php echo $register; ?>"><?php echo $text_register; ?></a></li>
      <li><a href="<?php echo $forgotten; ?>"><?php echo $text_forgotten; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $account; ?>"><?php echo $text_account; ?></a></li>
      <?php if ($logged) { ?>
      <li><a href="<?php echo $edit; ?>"><?php echo $text_edit; ?></a></li>
      <li><a href="<?php echo $password; ?>"><?php echo $text_password; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $address; ?>"><?php echo $text_address; ?></a></li>
      <li><a href="<?php echo $wishlist; ?>"><?php echo $text_wishlist; ?></a></li>
      <li><a href="<?php echo $order; ?>"><?php echo $text_order; ?></a></li>
      <li><a href="<?php echo $download; ?>"><?php echo $text_download; ?></a></li>
      <li><a href="<?php echo $return; ?>"><?php echo $text_return; ?></a></li>
      <li><a href="<?php echo $transaction; ?>"><?php echo $text_transaction; ?></a></li>
      <li><a href="<?php echo $newsletter; ?>"><?php echo $text_newsletter; ?></a></li>
		<li><a href="<?php echo $recurring; ?>"><?php echo $text_recurring; ?></a></li>
      <?php if ($logged) { ?>
      <li><a href="<?php echo $logout; ?>"><?php echo $text_logout; ?></a></li>
      <?php } ?>
    </ul>
  </div>
</div>

<?php endif; ?>