 <?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<div id="ebay" data-role="collapsible">
<h3><?php echo $heading_title; ?></h3>
<ul>
	<?php foreach ($products as $product) { ?>
		<li>
		<a href="<?php echo $product['href']; ?>" target="_blank"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
		<a data-ajax="false" class="product-name" href="<?php echo $product['href']; ?>" target="_blank">
		<?php echo $product['name']; ?>
		</a>
				
		<span class="price">
			<span class="price-new"><?php echo $product['price']; ?></span>
		</span>
		</li>
	<?php } ?>
	</ul>
</div>

<?php else : ?>

  <?php foreach ($products as $product) { ?>
			
			<div class="item ebay">
				<div class="<?php if (!$detect->isMobile()) { echo "view view-sixth"; } else {echo"mobile-view";}?>">
					<div class="thumb">
					<a href="<?php echo $product['href']; ?>" target="_blank"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
					<span class="ebay-label"></span>
					</div>
					<div class="mask">
						<div class="mask-actions">
						<a class="info" href="<?php echo $product['href']; ?>" target="_blank" title="<?php echo $product['name']; ?>"><?php echo $product['name']; ?></a>
						</div>
					</div>
				</div>
				<div class="preview">
				<a class="product-name" href="<?php echo $product['href']; ?>" target="_blank"><?php echo $product['name']; ?></a>
				</div>
					<span class="price">
						<span class="price-new"><?php echo $product['price']; ?></span>
					</span>
			
			</div>
			
			<?php } ?>
            <img src="<?php echo $tracking_pixel; ?>" height="0" width="0" />
<?php endif; ?>
