<?php echo $header; ?>
<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

	<h1><?php echo $heading_title; ?></h1>
	<?php if ($thumb || $description) { ?>
		<div class="category-info">
		<?php if ($description) { ?>
		<?php echo $description; ?>
		<?php } ?>
		</div>
	<?php } ?>
  
	<?php if ($products) { ?>
		<div class="product-filter row-fluid">
			<div class="limit span6"><b><?php echo $text_limit; ?></b>
			<select onchange="location = this.value;">
				<?php foreach ($limits as $limits) { ?>
				<?php if ($limits['value'] == $limit) { ?>
				<option value="<?php echo $limits['href']; ?>" selected="selected"><?php echo $limits['text']; ?></option>
				<?php } else { ?>
				<option value="<?php echo $limits['href']; ?>"><?php echo $limits['text']; ?></option>
				<?php } ?>
				<?php } ?>
			  </select>
			</div>
			
			<div class="sort span6"><b><?php echo $text_sort; ?></b>
			  <select onchange="location = this.value;">
				<?php foreach ($sorts as $sorts) { ?>
				<?php if ($sorts['value'] == $sort . '-' . $order) { ?>
				<option value="<?php echo $sorts['href']; ?>" selected="selected"><?php echo $sorts['text']; ?></option>
				<?php } else { ?>
				<option value="<?php echo $sorts['href']; ?>"><?php echo $sorts['text']; ?></option>
				<?php } ?>
				<?php } ?>
			  </select>
			</div>
		</div>
  
		<div data-role="content">
			<div class="content-primary">
			<ul class="products-list" data-role="listview">
			<?php foreach ($products as $product) { ?>
				<li>
				<a data-ajax="false" class="product-name" href="<?php echo $product['href']; ?>">
				<?php if ($product['thumb']) { ?>
				<img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" />
				<?php } else { ?>
				<img src="catalog/view/theme/social/image/product-no-thumb.png" title="" alt="" />
				<?php } ?>
				<?php echo $product['name']; ?>		
				<img class="rating-list" src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
				<?php if ($product['price']) { ?>
					<span class="price">
						<?php if (!$product['special']) { ?>
						<span class="price-new"><?php echo $product['price']; ?></span>
						<?php } else { ?>
						<span class="price-new"><?php echo $product['special']; ?></span>
						<span class="price-old"><?php echo $product['price']; ?></span>
						<?php } ?>
					</span>
				<?php } ?>
				</a>
				<a data-ajax="false" class="product-name" href="<?php echo $product['href']; ?>"><?php echo $text_view_m ; ?></a>

				<div class="list-buttons">
				<input data-icon="plus" data-inline="true" data-theme="b" data-mini="true" title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" /><br>
				<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a><br />
				</div>
				</li>
			<?php } ?>
		</ul>
		</div>
	</div>
  
	<div class="pagination">
	<?php echo $pagination; ?>
	</div>
	<?php } ?>
  
	<?php if (!$categories && !$products) { ?>
	<div class="content"><?php echo $text_empty; ?></div>
		<div class="buttons">
			<div class="right"><a href="<?php echo $continue; ?>" data-role="button" data-theme="b" data-icon="arrow-r" data-iconpos="right"><?php echo $button_continue; ?></a></div>
		 </div>
	<?php } ?>
  
	<?php echo $column_right; ?>
	
	<?php echo $content_bottom; ?>
  


<?php else : ?>



<div class="row-fluid">
	<div id="content" class="category-template span8">
		  <div class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
			<?php } ?>
		  </div>
  <h1><?php echo $heading_title; ?></h1>
  <?php if ($thumb || $description) { ?>
  <div class="category-info thumbnails">
    <?php if ($thumb) { ?>
    <img class="thumbnail" src="<?php echo $thumb; ?>" alt="<?php echo $heading_title; ?>" />
    <?php } ?>
    <?php if ($description) { ?>
    <?php echo $description; ?>
    <?php } ?>
  </div>
  <?php } ?>
  <?php if ($categories) { ?>
  <h2><?php echo $text_refine; ?></h2>
  <div class="category-list">
    <?php if (count($categories) <= 5) { ?>
    <ul>
      <?php foreach ($categories as $category) { ?>
      <li><a href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a></li>
      <?php } ?>
    </ul>
    <?php } else { ?>
    <?php for ($i = 0; $i < count($categories);) { ?>
    <ul>
      <?php $j = $i + ceil(count($categories) / 4); ?>
      <?php for (; $i < $j; $i++) { ?>
      <?php if (isset($categories[$i])) { ?>
      <li><a href="<?php echo $categories[$i]['href']; ?>"><?php echo $categories[$i]['name']; ?></a></li>
      <?php } ?>
      <?php } ?>
    </ul>
    <?php } ?>
    <?php } ?>
  </div>
  <?php } ?>
  <?php if ($products) { ?>
  <a class="product-compare btn" href="<?php echo $compare; ?>" id="compare-total"><?php echo $text_compare; ?></a>
   <div class="product-filter row-fluid">
    <div class="limit span6"><b><?php echo $text_limit; ?></b>
      <select onchange="location = this.value;">
        <?php foreach ($limits as $limits) { ?>
        <?php if ($limits['value'] == $limit) { ?>
        <option value="<?php echo $limits['href']; ?>" selected="selected"><?php echo $limits['text']; ?></option>
        <?php } else { ?>
        <option value="<?php echo $limits['href']; ?>"><?php echo $limits['text']; ?></option>
        <?php } ?>
        <?php } ?>
      </select>
    </div>
    <div class="sort span6"><b><?php echo $text_sort; ?></b>
      <select onchange="location = this.value;">
        <?php foreach ($sorts as $sorts) { ?>
        <?php if ($sorts['value'] == $sort . '-' . $order) { ?>
        <option value="<?php echo $sorts['href']; ?>" selected="selected"><?php echo $sorts['text']; ?></option>
        <?php } else { ?>
        <option value="<?php echo $sorts['href']; ?>"><?php echo $sorts['text']; ?></option>
        <?php } ?>
        <?php } ?>
      </select>
    </div>
  </div>
  <div class="wrapper-relative-archive">
 <ul class="thumbnails">
    <?php foreach ($products as $product) { ?>
		<li class="span4 thumbnail">
		<?php if ($product['thumb']) { ?>
		<a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
		<?php } else { ?>
		<img src="catalog/view/theme/social/image/product-no-thumb.png" title="" alt="" />
		<?php } ?>
			
		<a class="product-name" href="<?php echo $product['href']; ?>">
		<?php echo $product['name']; ?>
		</a>
				
			<div class="rating">
			<img src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" /> (<?php echo $product['reviews']; ?>)
			</div>
				
			<p><?php echo $product['description']; ?></p>
				
			<?php if ($product['price']) { ?>
				<span class="price">
					<?php if (!$product['special']) { ?>
					<span class="price-new"><?php echo $product['price']; ?></span>
					<?php } else { ?>
					<span class="price-new"><?php echo $product['special']; ?></span>
					<span class="price-old"><?php echo $product['price']; ?></span>
					<?php } ?>
				</span>
			<?php } ?>
				
			<div class="visible-on-hover">
			<input title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="btn btn-info" /><br />
			<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a><br />
			<a class="compare" onclick="addToCompare('<?php echo $product['product_id']; ?>');"><?php echo $button_compare; ?></a>
			</div>
		</li>
	<?php } ?>
  </ul>
  </div>
  <div class="pagination"><?php echo $pagination; ?></div>
  <?php } ?>
  <?php if (!$categories && !$products) { ?>
  <div class="content"><?php echo $text_empty; ?></div>
  <div class="buttons">
    <div class="left"><a href="<?php echo $continue; ?>" class="btn"><?php echo $button_continue; ?></a></div>
  </div>
  <?php } ?>
  
  </div>
  <div class="span4">
			<?php echo $column_right; ?>
			</div>
		
	</div>
  <div class="row-fluid">
<div id="bottom-extended">
  
  <?php echo $content_bottom; ?></div>
  
  </div>
  
  <?php endif; ?>

<?php echo $footer; ?>