<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<?php if ($reviews) { ?>
	<ul data-role="listview">
		<?php foreach ($reviews as $review) { ?>
		<li>
		  <span class="author"><b><?php echo $review['author']; ?></b> <?php echo $text_on; ?> <?php echo $review['date_added']; ?></span>
		  <span class="rating"><img src="catalog/view/theme/social/image/stars-<?php echo $review['rating'] . '.png'; ?>" alt="<?php echo $review['reviews']; ?>" /></span>
		  <p class="text"><?php echo $review['text']; ?></p>
		</li>
		<?php } ?>
	</ol>
<div class="pagination"><?php echo $pagination; ?></div>


<?php } else { ?>
<div class="content"><?php echo $text_no_reviews; ?></div>
<?php } ?>

<?php else: ?>

<?php if ($reviews) { ?>
<?php foreach ($reviews as $review) { ?>
<div class="review-list">
  <div class="author"><b><?php echo $review['author']; ?></b> <?php echo $text_on; ?> <?php echo $review['date_added']; ?></div>
  <div class="rating"><img src="catalog/view/theme/social/image/stars-<?php echo $review['rating'] . '.png'; ?>" alt="<?php echo $review['reviews']; ?>" /></div>
  <div class="text"><?php echo $review['text']; ?></div>
</div>
<?php } ?>
<div class="pagination"><?php echo $pagination; ?></div>
<?php } else { ?>
<div class="content"><?php echo $text_no_reviews; ?></div>
<?php } ?>

<?php endif; ?>
