<?php echo $header; ?>

<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>



<?php if ($success) { ?>
<div class="success" data-role="popup"><?php echo $success; ?></div>
<?php } ?>
<?php if ($error_warning) { ?>
<div class="warning" data-role="popup"><?php echo $error_warning; ?></div>
<?php } ?>

<div class="row-fluid">
	<div id="content">
		
		
		<h1><?php echo $heading_title; ?></h1>
		<div class="row-fluid">
			<div class="span6">
			<h2><?php echo $text_new_customer; ?></h2>
				<div class="content">
				<p><b><?php echo $text_register; ?></b></p>
				<p><?php echo $text_register_account; ?></p>
				<a href="<?php echo $register; ?>" data-role="button" data-theme="b" data-icon="arrow-r" data-iconpos="right"><?php echo $button_continue; ?></a>
				</div>
			</div>
		
			<div class="span6">
			<h2><?php echo $text_returning_customer; ?></h2>
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
				<div class="content">
				  <p><?php echo $text_i_am_returning_customer; ?></p>
				  <b><?php echo $entry_email; ?></b><br />
				  <input type="text" name="email" value="<?php echo $email; ?>" />
				  <br />
				  <br />
				  <b><?php echo $entry_password; ?></b><br />
				  <input type="password" name="password" value="<?php echo $password; ?>" />
				  <br />
				  <a data-role="button" data-theme="a" href="<?php echo $forgotten; ?>"><?php echo $text_forgotten; ?></a><br />
				  <br />
				  <input type="submit" value="<?php echo $button_login; ?>" data-theme="b" data-icon="arrow-r" data-iconpos="right" />
				  <?php if ($redirect) { ?>
				  <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />
				  <?php } ?>
				 </div>
			</form>
			</div>
		</div>
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>



<?php else: ?>
<?php if ($success) { ?>
<div class="success"><?php echo $success; ?></div>
<?php } ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>

<div class="row-fluid">
	<div id="content">
		
			<?php echo $content_top; ?>
			<div class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
			<?php } ?>
			</div>
		
		<h1><?php echo $heading_title; ?></h1>
		<div class="row-fluid">
			<div class="span6">
			<h2><?php echo $text_new_customer; ?></h2>
				<div class="content login-box">
				<p><b><?php echo $text_register; ?></b></p>
				<p><?php echo $text_register_account; ?></p>
				<a href="<?php echo $register; ?>" class="btn btn-info"><?php echo $button_continue; ?></a>
				</div>
			</div>
		
			<div class="span6">
			<h2><?php echo $text_returning_customer; ?></h2>
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
				<div class="content login-box">
				  <p><?php echo $text_i_am_returning_customer; ?></p>
				  <b><?php echo $entry_email; ?></b><br />
				  <input type="text" name="email" value="<?php echo $email; ?>" />
				  <br />
				  <br />
				  <b><?php echo $entry_password; ?></b><br />
				  <input type="password" name="password" value="<?php echo $password; ?>" />
				  <br />
				  <a class="btn light" href="<?php echo $forgotten; ?>"><?php echo $text_forgotten; ?></a><br />
				  <br />
				  <input type="submit" value="<?php echo $button_login; ?>" class="btn btn-info" />
				  <?php if ($redirect) { ?>
				  <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />
				  <?php } ?>
				 </div>
			</form>
			</div>
		</div>
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>

<?php endif; ?>


<script type="text/javascript"><!--
$('#login input').keydown(function(e) {
	if (e.keyCode == 13) {
		$('#login').submit();
	}
});
//--></script> 
<?php echo $footer; ?>