<?php echo $header; ?>

<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>



<div class="row-fluid">
	<div id="content">
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
    <div class="content">
      <table class="form">
        <tr>
          <td><?php echo $entry_newsletter; ?></td>
          <td><?php if ($newsletter) { ?>
			<fieldset data-role="controlgroup" data-type="horizontal">
            <input type="radio" name="newsletter" id="newsletter1" value="1" checked="checked" /><label for="newsletter1"><span></span><?php echo $text_yes; ?></label>
           
            <input type="radio" name="newsletter" id="newsletter0" value="0" /><label for="newsletter0"><?php echo $text_no; ?></label>
           </fieldset>
            <?php } else { ?>
			<fieldset data-role="controlgroup" data-type="horizontal">
            <input type="radio" name="newsletter" id="newsletter1" value="1" /><label for="newsletter1"><span></span><?php echo $text_yes; ?></label>

            <input type="radio" name="newsletter" id="newsletter0" value="0" checked="checked" /><label for="newsletter0"><?php echo $text_no; ?></label>
           </fieldset>
            <?php } ?></td>
        </tr>
      </table>
    </div>
    <div class="buttons">
      <div class="left"><a href="<?php echo $back; ?>" data-role="button" data-theme="a"><?php echo $button_back; ?></a></div>
      <div class="right"><input type="submit" value="<?php echo $button_continue; ?>" data-theme="b" data-icon="arrow-r" data-iconpos="right" /></div>
    </div>
  </form>
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>





<?php else: ?>

<div class="row-fluid">

	<div class="breadcrumb">
	<?php foreach ($breadcrumbs as $breadcrumb) { ?>
	<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
	<?php } ?>
	</div>

	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span8">
			
		<h1><?php echo $heading_title; ?></h1>
		
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
    <div class="content account-box">
      <table class="form">
        <tr>
          <td><?php echo $entry_newsletter; ?></td>
          <td><?php if ($newsletter) { ?>
            <input type="radio" name="newsletter" id="newsletter1" value="1" checked="checked" /><label for="newsletter1"><?php echo $text_yes; ?></label><br />
			<input type="radio" name="newsletter" id="newsletter0" value="0" /><label for="newsletter0"><?php echo $text_no; ?></label>
           
            <?php } else { ?>
            <input type="radio" name="newsletter" id="newsletter1" value="1" /><label for="newsletter1"><?php echo $text_yes; ?></label><br />
			<input type="radio" name="newsletter" id="newsletter0" value="0" checked="checked" /><label for="newsletter0"><?php echo $text_no; ?></label>
           
            <?php } ?></td>
        </tr>
      </table>
    </div>
    <div class="buttons">
      <div class="left"><a href="<?php echo $back; ?>" class="btn btn-mini light"><?php echo $button_back; ?></a></div>
      <div class="right"><input type="submit" value="<?php echo $button_continue; ?>" class="btn btn-info" /></div>
    </div>
  </form>
		
		</div>
		
		<div class="span4">
		<?php echo $column_right; ?>
		</div>
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>

<?php endif; ?>
<?php echo $footer; ?>