<?php echo $header; ?>

<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<?php if ($error_warning) { ?>
<div class="warning" data-role="popup"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="row-fluid">
	<div id="content">	
		<div class="span12">
			
		<h1><?php echo $heading_title; ?></h1>
		
		
			<?php echo $text_description; ?>
			<form id="return-form" action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
			<h2><?php echo $text_order; ?></h2>
			<div class="row-fluid">
				<div class="content">
					<div class="span6">
					<span class="required">*</span> <?php echo $entry_firstname; ?><br />
					<input type="text" name="firstname" value="<?php echo $firstname; ?>" class="large-field" />
					<br />
					<?php if ($error_firstname) { ?>
					<span class="error"><span><?php echo $error_firstname; ?></span></span>
					<?php } ?>
					<br />
					<span class="required">*</span> <?php echo $entry_lastname; ?><br />
					<input type="text" name="lastname" value="<?php echo $lastname; ?>" class="large-field" />
					<br />
					<?php if ($error_lastname) { ?>
					<span class="error"><span><?php echo $error_lastname; ?></span></span>
					<?php } ?>
					<br />
					<span class="required">*</span> <?php echo $entry_email; ?><br />
					<input type="text" name="email" value="<?php echo $email; ?>" class="large-field" />
					<br />
					<?php if ($error_email) { ?>
					<span class="error"><span><?php echo $error_email; ?></span></span>
					<?php } ?>
					<br />
					<span class="required">*</span> <?php echo $entry_telephone; ?><br />
					<input type="text" name="telephone" value="<?php echo $telephone; ?>" class="large-field" />
					<br />
					<?php if ($error_telephone) { ?>
					<span class="error"><span><?php echo $error_telephone; ?></span></span>
					<?php } ?>
					<br />
					</div>
		  
					<div class="span6">
					<span class="required">*</span> <?php echo $entry_order_id; ?><br />
					<input type="text" name="order_id" value="<?php echo $order_id; ?>" class="large-field" />
					<br />
					<?php if ($error_order_id) { ?>
					<span class="error"><span><?php echo $error_order_id; ?></span></span>
					<?php } ?>
					<br />
					<?php echo $entry_date_ordered; ?><br />
					<input type="text" name="date_ordered" value="<?php echo $date_ordered; ?>" class="large-field date" />
					<br />
					</div>
				</div>
			</div>
		
			<div class="row-fluid">
				<h2><?php echo $text_product; ?></h2>
				<div id="return-product">
				  <div class="content">
					<div class="return-product">
					  <div class="return-name"><span class="required">*</span> <b><?php echo $entry_product; ?></b><br />
						<input type="text" name="product" value="<?php echo $product; ?>" />
						<br />
						<?php if ($error_product) { ?>
						<span class="error"><span><?php echo $error_product; ?></span></span>
						<?php } ?>
					  </div>
					  <div class="return-model"><span class="required">*</span> <b><?php echo $entry_model; ?></b><br />
						<input type="text" name="model" value="<?php echo $model; ?>" />
						<br />
						<?php if ($error_model) { ?>
						<span class="error"><span><?php echo $error_model; ?></span></span>
						<?php } ?>
					  </div>
					  <div class="return-quantity"><b><?php echo $entry_quantity; ?></b><br />
						<input type="text" name="quantity" value="<?php echo $quantity; ?>" />
					  </div>
					</div>
					<div class="return-detail">
					  <div class="return-reason"><span class="required">*</span> <b><?php echo $entry_reason; ?></b><br />
						<table>
						  <?php foreach ($return_reasons as $return_reason) { ?>
						  <?php if ($return_reason['return_reason_id'] == $return_reason_id) { ?>
						  <tr>
							<td><input type="radio" name="return_reason_id" value="<?php echo $return_reason['return_reason_id']; ?>" id="return-reason-id<?php echo $return_reason['return_reason_id']; ?>" checked="checked" /><label for="return-reason-id<?php echo $return_reason['return_reason_id']; ?>"><?php echo $return_reason['name']; ?></label></td>
							<td></td>
						  </tr>
						  <?php } else { ?>
						  <tr>
							<td><input type="radio" name="return_reason_id" value="<?php echo $return_reason['return_reason_id']; ?>" id="return-reason-id<?php echo $return_reason['return_reason_id']; ?>" /><label for="return-reason-id<?php echo $return_reason['return_reason_id']; ?>"><?php echo $return_reason['name']; ?></label></td>
							<td></td>
						  </tr>
						  <?php  } ?>
						  <?php  } ?>
						</table>
						<?php if ($error_reason) { ?>
						<span class="error"><span><?php echo $error_reason; ?></span></span>
						<?php } ?>
					  </div>
					  <div class="return-opened"><b><?php echo $entry_opened; ?></b><br />
						<?php if ($opened) { ?>
						<input type="radio" name="opened" value="1" id="opened" checked="checked" /><label for="opened"><?php echo $text_yes; ?></label>
						<?php } else { ?>
						<input type="radio" name="opened" value="1" id="opened" /><label for="opened"><?php echo $text_yes; ?></label>
						<?php } ?>
						
						<?php if (!$opened) { ?>
						<input type="radio" name="opened" value="0" id="unopened" checked="checked" /><label for="unopened"><?php echo $text_no; ?></label>
						<?php } else { ?>
						<input type="radio" name="opened" value="0" id="unopened" /><label for="unopened"><?php echo $text_no; ?></label>
						<?php } ?>
						
						<br />
						<br />
						<?php echo $entry_fault_detail; ?><br />
						<textarea name="comment" cols="150" rows="6"><?php echo $comment; ?></textarea>
					  </div>
					  <div class="return-captcha"><b><?php echo $entry_captcha; ?></b><br />
						<input type="text" name="captcha" value="<?php echo $captcha; ?>" />
						<br />
						<img src="index.php?route=account/return/captcha" alt="" />
						<?php if ($error_captcha) { ?>
						<span class="error"><span><?php echo $error_captcha; ?></span></span>
						<?php } ?>
					  </div>
					</div>
				</div>
				</div>
<?php if ($text_agree) { ?>
    <div class="buttons">
      <div class="left"><a href="<?php echo $back; ?>" data-role="button" data-theme="a"><?php echo $button_back; ?></a></div>
      <div class="right">
        <?php if ($agree) { ?>
        <input type="checkbox" name="agree" id="agree" value="1" checked="checked" /><label for="agree"><?php echo $text_agree; ?></label>
        <?php } else { ?>
        <input type="checkbox" name="agree" id="agree" value="1" /><label for="agree"><?php echo $text_agree; ?></label>
        <?php } ?>
        <input type="submit" value="<?php echo $button_continue; ?>" data-theme="b" data-icon="arrow-r" data-iconpos="right" />
      </div>
    </div>
	
	<?php } else { ?>
    <div class="buttons">
      <div class="left"><a href="<?php echo $back; ?>" class="btn btn-mini"><?php echo $button_back; ?></a></div>
      <div class="right">
        <input type="submit" value="<?php echo $button_continue; ?>" class="btn btn-info" />
      </div>
    </div>
	<?php } ?>
  </form>
		
		
		</div> <!-- End -->
		
		
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>
<script type="text/javascript"><!--
$(document).ready(function() {
	$('.date').datepicker({dateFormat: 'yy-mm-dd'});
});
//--></script> 



<?php else: ?>

<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="row-fluid">

	<div class="breadcrumb">
	<?php foreach ($breadcrumbs as $breadcrumb) { ?>
	<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
	<?php } ?>
	</div>

	<div id="content">
	<?php echo $content_top; ?>
	
		<div class="span12">
			
		<h1><?php echo $heading_title; ?></h1>
		
		
			<?php echo $text_description; ?>
			<form id="return-form" action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
			<h2><?php echo $text_order; ?></h2>
			<div class="row-fluid">
				<div class="content account-box">
					<div class="span6">
					<span class="required">*</span> <?php echo $entry_firstname; ?><br />
					<input type="text" name="firstname" value="<?php echo $firstname; ?>" class="large-field" />
					<br />
					<?php if ($error_firstname) { ?>
					<span class="error"><span><?php echo $error_firstname; ?></span></span>
					<?php } ?>
					<br />
					<span class="required">*</span> <?php echo $entry_lastname; ?><br />
					<input type="text" name="lastname" value="<?php echo $lastname; ?>" class="large-field" />
					<br />
					<?php if ($error_lastname) { ?>
					<span class="error"><span><?php echo $error_lastname; ?></span></span>
					<?php } ?>
					<br />
					<span class="required">*</span> <?php echo $entry_email; ?><br />
					<input type="text" name="email" value="<?php echo $email; ?>" class="large-field" />
					<br />
					<?php if ($error_email) { ?>
					<span class="error"><span><?php echo $error_email; ?></span></span>
					<?php } ?>
					<br />
					<span class="required">*</span> <?php echo $entry_telephone; ?><br />
					<input type="text" name="telephone" value="<?php echo $telephone; ?>" class="large-field" />
					<br />
					<?php if ($error_telephone) { ?>
					<span class="error"><span><?php echo $error_telephone; ?></span></span>
					<?php } ?>
					<br />
					</div>
		  
					<div class="span6">
					<span class="required">*</span> <?php echo $entry_order_id; ?><br />
					<input type="text" name="order_id" value="<?php echo $order_id; ?>" class="large-field" />
					<br />
					<?php if ($error_order_id) { ?>
					<span class="error"><span><?php echo $error_order_id; ?></span></span>
					<?php } ?>
					<br />
					<?php echo $entry_date_ordered; ?><br />
					<input type="text" name="date_ordered" value="<?php echo $date_ordered; ?>" class="large-field date" />
					<br />
					</div>
				</div>
			</div>
		
			<div class="row-fluid">
				<h2><?php echo $text_product; ?></h2>
				<div id="return-product">
				  <div class="content account-box">
					<div class="return-product">
					  <div class="return-name"><span class="required">*</span> <b><?php echo $entry_product; ?></b><br />
						<input type="text" name="product" value="<?php echo $product; ?>" />
						<br />
						<?php if ($error_product) { ?>
						<span class="error"><span><?php echo $error_product; ?></span></span>
						<?php } ?>
					  </div>
					  <div class="return-model"><span class="required">*</span> <b><?php echo $entry_model; ?></b><br />
						<input type="text" name="model" value="<?php echo $model; ?>" />
						<br />
						<?php if ($error_model) { ?>
						<span class="error"><span><?php echo $error_model; ?></span></span>
						<?php } ?>
					  </div>
					  <div class="return-quantity"><b><?php echo $entry_quantity; ?></b><br />
						<input type="text" name="quantity" value="<?php echo $quantity; ?>" />
					  </div>
					</div>
					<div class="return-detail">
					  <div class="return-reason"><span class="required">*</span> <b><?php echo $entry_reason; ?></b><br />
						<table>
						  <?php foreach ($return_reasons as $return_reason) { ?>
						  <?php if ($return_reason['return_reason_id'] == $return_reason_id) { ?>
						  <tr>
							<td><input type="radio" name="return_reason_id" value="<?php echo $return_reason['return_reason_id']; ?>" id="return-reason-id<?php echo $return_reason['return_reason_id']; ?>" checked="checked" /><label for="return-reason-id<?php echo $return_reason['return_reason_id']; ?>"><?php echo $return_reason['name']; ?></label></td>
							<td></td>
						  </tr>
						  <?php } else { ?>
						  <tr>
							<td><input type="radio" name="return_reason_id" value="<?php echo $return_reason['return_reason_id']; ?>" id="return-reason-id<?php echo $return_reason['return_reason_id']; ?>" /><label for="return-reason-id<?php echo $return_reason['return_reason_id']; ?>"><?php echo $return_reason['name']; ?></label></td>
							<td></td>
						  </tr>
						  <?php  } ?>
						  <?php  } ?>
						</table>
						<?php if ($error_reason) { ?>
						<span class="error"><span><?php echo $error_reason; ?></span></span>
						<?php } ?>
					  </div>
					  <div class="return-opened"><b><?php echo $entry_opened; ?></b><br />
						<?php if ($opened) { ?>
						<p><input type="radio" name="opened" value="1" id="opened" checked="checked" /><label for="opened"><?php echo $text_yes; ?></label></p>
						<?php } else { ?>
						<p><input type="radio" name="opened" value="1" id="opened" /><label for="opened"><?php echo $text_yes; ?></label></p>
						<?php } ?>
						
						<?php if (!$opened) { ?>
						<p><input type="radio" name="opened" value="0" id="unopened" checked="checked" /><label for="unopened"><?php echo $text_no; ?></label></p>
						<?php } else { ?>
						<p><input type="radio" name="opened" value="0" id="unopened" /><label for="unopened"><?php echo $text_no; ?></label></p>
						<?php } ?>
						
						<br />
						<br />
						<?php echo $entry_fault_detail; ?><br />
						<textarea name="comment" cols="150" rows="6"><?php echo $comment; ?></textarea>
					  </div>
					  <div class="return-captcha"><b><?php echo $entry_captcha; ?></b><br />
						<input type="text" name="captcha" value="<?php echo $captcha; ?>" />
						<br />
						<img src="index.php?route=account/return/captcha" alt="" />
						<?php if ($error_captcha) { ?>
						<span class="error"><span><?php echo $error_captcha; ?></span></span>
						<?php } ?>
					  </div>
					</div>
				</div>
				</div>
<?php if ($text_agree) { ?>
    <div class="buttons">
      <div class="left"><a href="<?php echo $back; ?>" class="btn btn-mini light"><?php echo $button_back; ?></a></div>
      <div class="right">
        <?php if ($agree) { ?>
        <input type="checkbox" name="agree" id="agree" value="1" checked="checked" /><label for="agree"><span></span><?php echo $text_agree; ?></label>
        <?php } else { ?>
        <input type="checkbox" name="agree" id="agree" value="1" /><label for="agree"><span></span><?php echo $text_agree; ?></label>
        <?php } ?>
        <input type="submit" value="<?php echo $button_continue; ?>" class="btn btn-info" />
      </div>
    </div>
	
	<?php } else { ?>
    <div class="buttons">
      <div class="left"><a href="<?php echo $back; ?>" class="btn btn-mini light"><?php echo $button_back; ?></a></div>
      <div class="right">
        <input type="submit" value="<?php echo $button_continue; ?>" class="btn btn-info" />
      </div>
    </div>
	<?php } ?>
  </form>
		
		
		</div> <!-- End -->
		
		
		
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>
</div>
<script type="text/javascript"><!--
$(document).ready(function() {
	$('.date').datepicker({dateFormat: 'yy-mm-dd'});
});
//--></script> 
<script type="text/javascript"><!--
$(document).ready(function() {
	$('.colorbox').colorbox({
		width: 640,
		height: 480
	});
});
//--></script>


<?php endif; ?>
<?php echo $footer; ?>