<?php echo $header; ?>

<?php $detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<h1><?php echo $heading_title; ?></h1>
	<form class="form-element" action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" data-ajax="false">
		<label for="name"><?php echo $entry_name; ?></label>
		<input type="text" name="name" value="<?php echo $name; ?>" />
		<?php if ($error_name) { ?>
		<span class="error"><span><?php echo $error_name; ?></span></span>
		<?php } ?>

		<label for="email"><?php echo $entry_email; ?></label>
		<input type="text" name="email" value="<?php echo $email; ?>" />
		<?php if ($error_email) { ?>
		<span class="error"><span><?php echo $error_email; ?></span></span>
		<?php } ?>

		<label for="enquiry"><?php echo $entry_enquiry; ?></label>
		<textarea name="enquiry" cols="40" rows="10" style="width: 99%;"><?php echo $enquiry; ?></textarea>
		<?php if ($error_enquiry) { ?>
		<span class="error"><span><?php echo $error_enquiry; ?></span></span>
		<?php } ?>

		<label for="captcha"><?php echo $entry_captcha; ?></label>
		<input type="text" name="captcha" value="<?php echo $captcha; ?>" />
		<img src="index.php?route=information/contact/captcha" alt="" />
		<?php if ($error_captcha) { ?>
		<span class="error"><span><?php echo $error_captcha; ?></span></span>
		<?php } ?>
			
		<input type="submit" value="<?php echo $button_continue; ?>" data-role="button" data-theme="b" data-icon="edit" />
</form>
<h2><?php echo $text_location; ?></h2>
<?php echo $store; ?>
<ul data-role="listview" data-inset="true" data-theme="c" data-dividertheme="a">
<li><?php echo $text_address; ?></li>
<?php if ($telephone) { ?><li><a href="<?php echo $telephone; ?>"><?php echo $text_telephone; ?> <?php echo $telephone; ?></a></li><?php } ?>
<?php if ($fax) { ?><li><a href="<?php echo $fax; ?>"><?php echo $text_fax; ?> <?php echo $fax; ?></a></li><?php } ?>
</ul>


		

		
		

<?php else: ?>


<div class="row-fluid">
	<div class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
			<?php } ?>
			</div>
	<div id="content">
	<?php echo $content_top; ?>
			
	<h1><?php echo $heading_title; ?></h1>
	<div class="row-fluid">
		<div class="span6">
			
		
		<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
		<h2><?php echo $text_contact; ?></h2>
			<div class="content contact-page">
			<b><?php echo $entry_name; ?></b><br />
			<input type="text" name="name" value="<?php echo $name; ?>" />
			<br />
			<?php if ($error_name) { ?>
			<span class="error"><?php echo $error_name; ?></span>
			<?php } ?>
			<br />
			<b><?php echo $entry_email; ?></b><br />
			<input type="text" name="email" value="<?php echo $email; ?>" />
			<br />
			<?php if ($error_email) { ?>
			<span class="error"><?php echo $error_email; ?></span>
			<?php } ?>
			<br />
			<b><?php echo $entry_enquiry; ?></b><br />
			<textarea name="enquiry" cols="40" rows="10" style="width: 99%;"><?php echo $enquiry; ?></textarea>
			<br />
			<?php if ($error_enquiry) { ?>
			<span class="error"><?php echo $error_enquiry; ?></span>
			<?php } ?>
			<br />
			<b><?php echo $entry_captcha; ?></b><br />
			<input type="text" name="captcha" value="<?php echo $captcha; ?>" />
			<br /><br />
			<img src="index.php?route=information/contact/captcha" alt="" />
			<?php if ($error_captcha) { ?>
			<span class="error"><?php echo $error_captcha; ?></span>
			<?php } ?>
			</div>
			<div class="buttons">
			  <div class="right"><input type="submit" value="<?php echo $button_continue; ?>" class="btn light" /></div>
			</div>
		</div>
		</form>
		<div class="span6">
		<h2><?php echo $text_location; ?></h2>
			
			<div class="content contact-page">
					<div class="row-fluid">
						<div class="span6">
						<b><?php echo $text_address; ?></b><br />
						<?php echo $store; ?><br />
						<?php echo $address; ?><br />
						</div>
						<div class="span6">
						<?php if ($telephone) { ?>
						<b><?php echo $text_telephone; ?></b><br />
						<?php echo $telephone; ?><br />
						<br />
						<?php } ?>
						<?php if ($fax) { ?>
						<b><?php echo $text_fax; ?></b><br />
						<?php echo $fax; ?>
						<?php } ?>
						</div>
					</div>
					
					<div class="row-fluid">
						<div id="your-google-map">
						<!-- Paste your iframe google map code from <iframe> to </iframe>-->
						<iframe width="100%" height="350" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="http://maps.google.it/maps?hl=it&amp;ie=UTF8&amp;ll=40.289147,14.676723&amp;spn=2.509803,2.081909&amp;t=m&amp;z=8&amp;output=embed"></iframe>
						</div>
					</div>
			
			</div>
		</div>
	</div>	
		<div class="row-fluid">
			<div id="bottom-extended">
			<?php echo $content_bottom; ?>
			</div>
		</div>
	
	</div>
</div>

<?php endif; ?>

<?php echo $footer; ?>