<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>


<div class="box">
  <div class="box-heading"><?php echo $heading_title; ?></div>
  <div class="box-content" data-role="controlgroup">
    <ul>
      <?php if (!$logged) { ?>
      <li><a href="<?php echo $login; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_login; ?></a> <a href="<?php echo $register; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_register; ?></a></li>
      <li><a href="<?php echo $forgotten; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_forgotten; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $account; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_account; ?></a></li>
      <?php if ($logged) { ?>
      <li><a href="<?php echo $edit; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_edit; ?></a></li>
      <li><a href="<?php echo $password; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_password; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $payment; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_payment; ?></a></li>
      <li><a href="<?php echo $tracking; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_tracking; ?></a></li>
      <li><a href="<?php echo $transaction; ?>" data-ajax="false" data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_transaction; ?></a></li>
      <?php if ($logged) { ?>
      <li><a href="<?php echo $logout; ?>" data-ajax="false"data-role="button" data-theme="e" data-icon="arrow-r" data-iconpos="right"><?php echo $text_logout; ?></a></li>
      <?php } ?>
    </ul>
  </div>
</div>


<?php else: ?>


<div class="box" id="affiliate-links">
  <div class="box-heading"><?php echo $heading_title; ?></div>
  <div class="box-content">
    <ul>
      <?php if (!$logged) { ?>
      <li><a href="<?php echo $login; ?>"><?php echo $text_login; ?></a> / <a href="<?php echo $register; ?>"><?php echo $text_register; ?></a></li>
      <li><a href="<?php echo $forgotten; ?>"><?php echo $text_forgotten; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $account; ?>"><?php echo $text_account; ?></a></li>
      <?php if ($logged) { ?>
      <li><a href="<?php echo $edit; ?>"><?php echo $text_edit; ?></a></li>
      <li><a href="<?php echo $password; ?>"><?php echo $text_password; ?></a></li>
      <?php } ?>
      <li><a href="<?php echo $payment; ?>"><?php echo $text_payment; ?></a></li>
      <li><a href="<?php echo $tracking; ?>"><?php echo $text_tracking; ?></a></li>
      <li><a href="<?php echo $transaction; ?>"><?php echo $text_transaction; ?></a></li>
      <?php if ($logged) { ?>
      <li><a href="<?php echo $logout; ?>"><?php echo $text_logout; ?></a></li>
      <?php } ?>
    </ul>
  </div>
</div>
<?php endif; ?>