<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<div id="featured" data-role="collapsible" data-theme="b">
<h3><?php echo $heading_title; ?></h3>
<ul>
	<?php foreach ($products as $product) { ?>
		<li>
		<?php if ($product['thumb']) { ?>
		<a data-ajax="false" href="<?php echo $product['href']; ?>#starting-point"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
		<?php } else { ?>
		<img src="catalog/view/theme/social/image/product-no-thumb.png" title="" alt="" />
		<?php } ?>
			
		<a class="product-name" data-ajax="false" href="<?php echo $product['href']; ?>#starting-point">
		<?php echo $product['name']; ?>
		</a>
				
			<div class="rating">
			<img src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
			</div>

				
			<?php if ($product['price']) { ?>
				<span class="price">
					<?php if (!$product['special']) { ?>
					<span class="price-new"><?php echo $product['price']; ?></span>
					<?php } else { ?>
					<span class="price-new"><?php echo $product['special']; ?></span>
					<span class="price-old"><?php echo $product['price']; ?></span>
					<?php } ?>
				</span>
			<?php } ?>
				
			<div class="visible-on-hover">
			<input title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="btn btn-large btn-info" /><br />
			<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a>
			</div>
		</li>
	<?php } ?>
	</ul>
</div>



<?php else : ?>
<div id="featured-wrapper" class="wrapper-relative">
<div class="box carousel" id="featured">
	<div class="box-heading"><span><?php echo $heading_title; ?></span></div>


	<ul class="thumbnails">
	<?php foreach ($products as $product) { ?>
		<li class="span3 thumbnail">
		<?php if ($product['thumb']) { ?>
		<a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
		<?php } else { ?>
		<img src="catalog/view/theme/social/image/product-no-thumb.png" title="" alt="" />
		<?php } ?>
			
		<a class="product-name" href="<?php echo $product['href']; ?>">
		<?php echo $product['name']; ?>
		</a>
				
			<div class="rating">
			<img src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
			</div>
				
			<p><?php echo $product['description']; ?></p>
				
			<?php if ($product['price']) { ?>
				<span class="price">
					<?php if (!$product['special']) { ?>
					<span class="price-new"><?php echo $product['price']; ?></span>
					<?php } else { ?>
					<span class="price-new"><?php echo $product['special']; ?></span>
					<span class="price-old"><?php echo $product['price']; ?></span>
					<?php } ?>
				</span>
			<?php } ?>
				
			<div class="visible-on-hover">
			<input title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="btn btn-info" /><br />
			<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a>
			</div>

		</li>
	<?php } ?>
	</ul>
	</div>
</div>


<?php endif; ?>