<div class="box" id="our-choice">
	<div class="box-heading"><?php echo $heading_title; ?></div>
	<ul class="thumbnails">
	<?php foreach ($products as $product) { ?>
		<li class="span6 thumbnail">
		<?php if ($product['thumb']) { ?>
		<a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
		<?php } ?>
			
		<a class="product-name" href="<?php echo $product['href']; ?>">
		<?php echo $product['name']; ?>
		</a>
				
			<div class="rating">
			<img src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
			</div>
				
			<p><?php echo $product['description']; ?></p>
				
			<?php if ($product['price']) { ?>
				<span class="price">
					<?php if (!$product['special']) { ?>
					<span class="price-new"><?php echo $product['price']; ?></span>
					<?php } else { ?>
					<span class="price-new"><?php echo $product['special']; ?></span>
					<span class="price-old"><?php echo $product['price']; ?></span>
					<?php } ?>
				</span>
			<?php } ?>
				
			<div class="visible-on-hover">
			<input title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="btn btn-info" /><br />
			<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a>
			</div>
		</li>
	<?php } ?>
	</ul>
</div>