<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<?php if ($products) { ?>
		<div class="product-filter row-fluid">
			<div class="limit span6"><b><?php echo $text_limit; ?></b>
			<select onchange="location = this.value;">
				<?php foreach ($limits as $limits) { ?>
				<?php if ($limits['value'] == $limit) { ?>
				<option value="<?php echo $limits['href']; ?>" selected="selected"><?php echo $limits['text']; ?></option>
				<?php } else { ?>
				<option value="<?php echo $limits['href']; ?>"><?php echo $limits['text']; ?></option>
				<?php } ?>
				<?php } ?>
			  </select>
			</div>
			
			<div class="sort span6"><b><?php echo $text_sort; ?></b>
			  <select onchange="location = this.value;">
				<?php foreach ($sorts as $sorts) { ?>
				<?php if ($sorts['value'] == $sort . '-' . $order) { ?>
				<option value="<?php echo $sorts['href']; ?>" selected="selected"><?php echo $sorts['text']; ?></option>
				<?php } else { ?>
				<option value="<?php echo $sorts['href']; ?>"><?php echo $sorts['text']; ?></option>
				<?php } ?>
				<?php } ?>
			  </select>
			</div>
		</div>
  
		<div data-role="content">
			<div class="content-primary">
			<ul class="products-list" data-role="listview">
			<?php foreach ($products as $product) { ?>
				<li>
				<a data-ajax="false" class="product-name" href="<?php echo $product['href']; ?>">
				<?php if ($product['thumb']) { ?>
				<img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" />
				<?php } ?>
				<?php echo $product['name']; ?>		
				<img class="rating-list" src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
				<?php if ($product['price']) { ?>
					<span class="price">
						<?php if (!$product['special']) { ?>
						<span class="price-new"><?php echo $product['price']; ?></span>
						<?php } else { ?>
						<span class="price-new"><?php echo $product['special']; ?></span>
						<span class="price-old"><?php echo $product['price']; ?></span>
						<?php } ?>
					</span>
				<?php } ?>
				</a>
				<a data-ajax="false" class="product-name" href="<?php echo $product['href']; ?>"><?php echo $text_view_m ; ?></a>

				<div class="list-buttons">
				<input data-icon="plus" data-inline="true" data-theme="b" data-mini="true" title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" /><br>
				<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a><br />
				</div>
				</li>
			<?php } ?>
		</ul>
		</div>
	</div>
  

	<?php } ?>


<?php else : ?>


<?php if ($products) { ?>
<div class="box" id="related-sidebar">
  <div class="box-heading"><?php echo $heading_title; ?></div>
  <div class="box-content">
    <ul class="thumbnails">
		<?php foreach ($products as $product) { ?>
			<li class="span6 thumbnail">
				<?php if ($product['thumb']) { ?>
				<a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
				<?php } ?>
				<a class="product-name" href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a>
        
			<div class="rating">
			<img src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
			</div>
				
			<p><?php echo $product['description']; ?></p>

			<?php if ($product['price']) { ?>
				<span class="price">
					<?php if (!$product['special']) { ?>
					<span class="price-new"><?php echo $product['price']; ?></span>
					<?php } else { ?>
					<span class="price-new"><?php echo $product['special']; ?></span>
					<span class="price-old"><?php echo $product['price']; ?></span>
					<?php } ?>
				</span>
			<?php } ?>
        
			<div class="visible-on-hover">
			<input title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="btn btn-info" /><br />
			<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a>
			</div>

			</li>
		<?php } ?>
		</ul>
  </div>
</div>
<?php } ?>

  <?php endif; ?>