<?php echo $header; ?>
<?php

$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>




<div id="product">
<h1 id="starting-point"><?php echo $heading_title; ?></h1>
	<div class="rating">
	<img src="catalog/view/theme/social/image/stars-<?php echo $rating; ?>.png" alt="<?php echo $reviews; ?>" /><br><?php echo $reviews; ?><br><br><span><?php echo $text_stock; ?></span> <?php echo $stock; ?> <?php if ($reward) { ?>
    - <span><?php echo $text_reward; ?></span> <?php echo $reward; ?>
    <?php } ?>
	</div>
	
	<a class="add-to-favourite" onclick="addToWishList('<?php echo $product_id; ?>');"><?php echo $button_wishlist; ?></a>
	
	<div class="product-info">
		<?php if ($price) { ?>
		<div class="price <?php if ($special) { ?>price-box<?php } ?>">
        <?php if (!$special) { ?>
        <?php echo $price; ?>
        <?php } else { ?>
		<span class="price-new"><?php echo $special; ?></span>
			<?php if ($tax) { ?>
			<span class="price-tax"><?php echo $text_tax; ?> <?php echo $tax; ?></span><br />
			<?php } ?>
        <span class="price-old"><?php echo $price; ?></span>
		<?php } ?>
	
		<?php if ($points) { ?>
        <span class="reward"><small><?php echo $text_points; ?> <?php echo $points; ?></small></span><br />
        <?php } ?>
		<?php if ($discounts) { ?>
        <div class="discount">
		<h2><?php echo $text_save_more; ?></h2>
			<?php foreach ($discounts as $discount) { ?>
			<?php echo sprintf($text_discount, $discount['quantity'], $discount['price']); ?>
			<?php } ?>
        </div>
		<?php } ?>
		</div>
		<?php } ?>
    
	
		<?php if ($thumb || $images) { ?>
		<?php if ($thumb) { ?>
		<img src="<?php echo $thumb; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" id="image" />
		<?php } ?>
		
		<?php if ($images) { ?>
		<div class="image-additional">
			<?php foreach ($images as $image) { ?>
			<a href="#popupPhoto" data-rel="popup" data-position-to="window" data-role="button" data-inline="true" data-transition="fade"><img src="<?php echo $image['thumb']; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" /></a>
				<div data-role="popup" id="popupPhoto" data-overlay-theme="a" data-theme="d" data-corners="false">
				<a href="#" data-rel="back" data-role="button" data-theme="a" data-icon="delete" data-iconpos="notext" class="ui-btn-right">Close</a><img class="popphoto" src="<?php echo $image['popup']; ?>" alt="Colorful city">
				</div>
			<?php } ?>
			</div>
		<?php } ?>
		<?php } ?>

		<?php if ($options) { ?>
		<div class="options">
        <h2><?php echo $text_option; ?></h2>
        <?php foreach ($options as $option) { ?>
        
			<?php if ($option['type'] == 'select') { ?>
				<div data-role="fieldcontain">
					<fieldset data-role="controlgroup">
			
					<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
					  <?php if ($option['required']) { ?>
					  <span class="required">*</span>
					  <?php } ?>
					  <b><?php echo $option['name']; ?>:</b><br />
					  <select name="option[<?php echo $option['product_option_id']; ?>]">
						<option value=""><?php echo $text_select; ?></option>
						<?php foreach ($option['option_value'] as $option_value) { ?>
						<option value="<?php echo $option_value['product_option_value_id']; ?>"><?php echo $option_value['name']; ?>
						<?php if ($option_value['price']) { ?>
						(<?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?>)
						<?php } ?>
						</option>
						<?php } ?>
					  </select>
					</div>
					</fieldset>
				</div>
			<?php } ?>
		
			<?php if ($option['type'] == 'radio') { ?>
			<div data-role="fieldcontain">
				<fieldset data-role="controlgroup">
					<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
					  <?php if ($option['required']) { ?>
					  <span class="required">*</span>
					  <?php } ?>
					  <b><?php echo $option['name']; ?>:</b><br />
					 
					  <?php foreach ($option['option_value'] as $option_value) { ?>
					  <input type="radio" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option_value['product_option_value_id']; ?>" id="option-value-<?php echo $option_value['product_option_value_id']; ?>" />
					  <label for="option-value-<?php echo $option_value['product_option_value_id']; ?>"><?php echo $option_value['name']; ?>
						<?php if ($option_value['price']) { ?>
						(<?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?>)
						
						
						<?php } ?>
					  </label>
					  <?php } ?>
					</div>
				</fieldset>
			</div>
			<?php } ?>
		
			<?php if ($option['type'] == 'checkbox') { ?>
			<div data-role="fieldcontain">
				<fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
				  <?php if ($option['required']) { ?>
				  <span class="required">*</span>
				  <?php } ?>
				  <b><?php echo $option['name']; ?>:</b><br />
				  <?php foreach ($option['option_value'] as $option_value) { ?>
				  <input type="checkbox" name="option[<?php echo $option['product_option_id']; ?>][]" value="<?php echo $option_value['product_option_value_id']; ?>" id="option-value-<?php echo $option_value['product_option_value_id']; ?>" />
				  <label for="option-value-<?php echo $option_value['product_option_value_id']; ?>"><?php echo $option_value['name']; ?>
					<?php if ($option_value['price']) { ?>
					(<?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?>)
					<?php } ?>
				  </label>
				  
				  <?php } ?>
				</div>
				</fieldset>
			</div>
			<?php } ?>
		
		
		
		
			<?php if ($option['type'] == 'image') { ?>
			<div data-role="fieldcontain">
			    <fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
					<?php if ($option['required']) { ?>
					<span class="required">*</span>
					<?php } ?>
					<b><?php echo $option['name']; ?>:</b><br />
					<?php foreach ($option['option_value'] as $option_value) { ?>
					<input type="radio" data-theme="c" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option_value['product_option_value_id']; ?>" id="option-value-<?php echo $option_value['product_option_value_id']; ?>" />
					<label for="option-value-<?php echo $option_value['product_option_value_id']; ?>"><img src="<?php echo $option_value['image']; ?>" alt="<?php echo $option_value['name'] . ($option_value['price'] ? ' ' . $option_value['price_prefix'] . $option_value['price'] : ''); ?>" />
					<?php echo $option_value['name']; ?>
					<?php if ($option_value['price']) { ?>
					<span class="prefix-price"><?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?></span>
					<?php } else { ?>
					<span class="prefix-price">&nbsp</span>
					<?php } ?>
					</label>
					<?php } ?>		
				</div>
				</fieldset>
			</div>
			<?php } ?>
										
			<?php if ($option['type'] == 'text') { ?>
			<div data-role="fieldcontain">
			    <fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
				  <?php if ($option['required']) { ?>
				  <span class="required">*</span>
				  <?php } ?>
				  <b><?php echo $option['name']; ?>:</b><br />
				  <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" />
				</div>
				</fieldset>
			</div>
			<?php } ?>
		
			<?php if ($option['type'] == 'textarea') { ?>
			<div data-role="fieldcontain">
			    <fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
				  <?php if ($option['required']) { ?>
				  <span class="required">*</span>
				  <?php } ?>
				  <b><?php echo $option['name']; ?>:</b><br />
				  <textarea name="option[<?php echo $option['product_option_id']; ?>]" cols="40" rows="5"><?php echo $option['option_value']; ?></textarea>
				</div>
				</fieldset>
			</div>
			<?php } ?>
		
			<?php if ($option['type'] == 'file') { ?>
			<div data-role="fieldcontain">
			    <fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
				  <?php if ($option['required']) { ?>
				  <span class="required">*</span>
				  <?php } ?>
				  <b><?php echo $option['name']; ?>:</b><br />
				  <input type="button" value="<?php echo $button_upload; ?>" id="button-option-<?php echo $option['product_option_id']; ?>" class="button">
				  <input type="hidden" name="option[<?php echo $option['product_option_id']; ?>]" value="" />
				</div>
				</fieldset>
			</div>
			<?php } ?>
	
		
			<?php if ($option['type'] == 'date') { ?>
			<div data-role="fieldcontain">
			    <fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
				  <?php if ($option['required']) { ?>
				  <span class="required">*</span>
				  <?php } ?>
				  <b><?php echo $option['name']; ?>:</b><br />
				  <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" class="date" />
				</div>
				</fieldset>
			</div>
			<?php } ?>
		
			<?php if ($option['type'] == 'datetime') { ?>
			<div data-role="fieldcontain">
			    <fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
				  <?php if ($option['required']) { ?>
				  <span class="required">*</span>
				  <?php } ?>
				  <b><?php echo $option['name']; ?>:</b><br />
				  <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" class="datetime" />
				</div>
				</fieldset>
			</div>
			<?php } ?>
		
		
			<?php if ($option['type'] == 'time') { ?>
			<div data-role="fieldcontain">
			    <fieldset data-role="controlgroup">
				<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
				  <?php if ($option['required']) { ?>
				  <span class="required">*</span>
				  <?php } ?>
				  <b><?php echo $option['name']; ?>:</b><br />
				  <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" class="time" />
				</div>
				</fieldset>
			</div>
			<?php } ?>
        
		
		<?php } ?>
		</div>
    <?php } ?>
   
	  
		<div class="cart">
			<div>
			<p><?php echo $text_qty; ?>
			<input type="text" id="quantity" name="quantity" size="2" value="<?php echo $minimum; ?>"  />
			<input type="hidden" name="product_id" size="2" value="<?php echo $product_id; ?>" />
			</p>
			<input type="button" value="<?php echo $button_cart; ?>" id="button-cart" data-theme="b" data-icon="plus" />
			  
			<?php if ($minimum > 1) { ?>
				<div class="minimum" ><?php echo $text_minimum; ?></div>
			<?php } ?>
			</div>
		</div>
      
	  
		<?php if ($review_status) { ?>
		<div class="review">
			<div>&nbsp;&nbsp;<a data-role="button" data-inline="true" data-mini="true" onclick="$('a[href=\'#tab-review\']').trigger('click');"><?php echo $reviews; ?></a><a data-role="button" data-inline="true" data-mini="true" onclick="$('a[href=\'#tab-review\']').trigger('click');"><?php echo $text_write; ?></a>
				<div class="share"><!-- AddThis Button BEGIN -->
				  <div class="addthis_default_style"> <a data-rel="popup" data-position-to="window" data-role="button" data-inline="true" id="email-button" class="addthis_button_email"></a> <a data-role="button" data-inline="true" id="facebook-button" rel="external" class="addthis_button_facebook"></a> <a data-role="button" data-inline="true" id="twitter-button" rel="external" class="addthis_button_twitter"></a></div>
				  <script type="text/javascript" src="//s7.addthis.com/js/250/addthis_widget.js"></script> 
				  <!-- AddThis Button END --> 
				</div>
			</div>
		</div>
		<?php } ?>

	</div>
  
	<div data-role="navbar" id="tabs" class="htabs">
	  <ul>
	  <li><a href="#tab-description"><?php echo $tab_description; ?></a></li>
		<?php if ($attribute_groups) { ?>
		<li><a href="#tab-attribute"><?php echo $tab_attribute; ?></a></li>
		<?php } ?>
		<?php if ($review_status) { ?>
		<li><a href="#tab-review"><?php echo $tab_review; ?></a></li>
		<?php } ?>
		<?php if ($products) { ?>
	   <li><a href="#tab-related"><?php echo $tab_related; ?> (<?php echo count($products); ?>)</a></li>
		<?php } ?>
	 </div>
	
	<div id="tab-description" class="tab-content"><?php echo $description; ?></div>
	  
	  
	<?php if ($attribute_groups) { ?>
	
		<table id="tab-attribute" data-role="table" data-mode="reflow">
		  <?php foreach ($attribute_groups as $attribute_group) { ?>
		  <thead>
			<tr>
			  <th colspan="2"><?php echo $attribute_group['name']; ?></th>
			</tr>
		  </thead>
		  <tbody>
			<?php foreach ($attribute_group['attribute'] as $attribute) { ?>
			<tr>
			  <td><?php echo $attribute['name']; ?></td>
			  <td><?php echo $attribute['text']; ?></td>
			</tr>
			<?php } ?>
		  </tbody>
		  <?php } ?>
		</table>

	<?php } ?>
  
	<?php if ($review_status) { ?>
	<div id="tab-review" class="tab-content">
		<div id="review"></div>
		<div data-role="content">
		<h2 id="review-title"><?php echo $text_write; ?></h2>
		<b><?php echo $entry_name; ?></b><br />
		<input type="text" name="name" value="" />
		<br />
		<br />
		<b><?php echo $entry_review; ?></b>
		<textarea name="text" cols="40" rows="8" style="width: 98%;"></textarea>
		<span style="font-size: 11px;"><?php echo $text_note; ?></span><br />
		<br />
		<p><?php echo $entry_rating; ?></p>
		<p class="star-vote"><input type="radio" name="rating" id="rating1" value="1" />
		<label for="rating1"><span></span>1 (<?php echo $entry_bad; ?>)</label></p>
		<p class="star-vote"><input type="radio" name="rating" id="rating2" value="2" />
		<label for="rating2"><span></span>2</label></p>
		<p class="star-vote"><input type="radio" name="rating" id="rating3" value="3" />
		<label for="rating3"><span></span>3</label></p>
		<p class="star-vote"><input type="radio" name="rating" id="rating4" value="4" />
		<label for="rating4"><span></span>4</label></p>
		<p class="star-vote"><input type="radio" name="rating" id="rating5" value="5" />
		<label for="rating5"><span></span>5 (<?php echo $entry_good; ?>)</label></p>
		<p class="captcha"><?php echo $entry_captcha; ?><br />
		<input type="text" name="captcha" value="" />
		<br />
		<img src="index.php?route=product/product/captcha" alt="" id="captcha" /><br />
		</p>
		<div class="buttons">
		  <div class="right"><a id="button-review" data-role="button" data-theme="b" data-icon="star"><?php echo $button_continue; ?></a></div>
		</div>
		</div>
	</div>
	<?php } ?>
  
	<?php if ($products) { ?>
	<div id="tab-related">
		<div data-role="content">
			<div class="content-primary">
			<ul class="products-list" data-role="listview">
			<?php foreach ($products as $product) { ?>
				<li>
				<a data-ajax="false" class="product-name" href="<?php echo $product['href']; ?>">
				<?php if ($product['thumb']) { ?>
				<img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" />
				<?php } ?>
				<?php echo $product['name']; ?>		
				<img class="rating-list" src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
				<?php if ($product['price']) { ?>
					<span class="price">
						<?php if (!$product['special']) { ?>
						<span class="price-new"><?php echo $product['price']; ?></span>
						<?php } else { ?>
						<span class="price-new"><?php echo $product['special']; ?></span>
						<span class="price-old"><?php echo $product['price']; ?></span>
						<?php } ?>
					</span>
				<?php } ?>
				</a>
				<a data-ajax="false" class="product-name" href="<?php echo $product['href']; ?>"><?php echo $text_view_m ; ?></a>

				<div class="list-buttons">
				<input data-icon="plus" data-inline="true" data-theme="b" data-mini="true" title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" /><br>
				<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a><br />
				</div>
				</li>
			<?php } ?>
		</ul>
		</div>
	</div>
	<?php } ?>

</div> 
</div> 





<script type="text/javascript"><!--
$('#button-cart').bind('click', function() {
	$.ajax({
		url: 'index.php?route=checkout/cart/add',
		type: 'post',
		data: $('.product-info input[type=\'text\'], .product-info input[type=\'hidden\'], .product-info input[type=\'radio\']:checked, .product-info input[type=\'checkbox\']:checked, .product-info select, .product-info textarea'),
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, information, .error').remove();
			
			if (json['error']) {
				if (json['error']['option']) {
					for (i in json['error']['option']) {
						$('#option-' + i).after('<span class="error"><span>' + json['error']['option'][i] + '</span></span>');
					}
				}
			} 
			
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>');
					
				$('.success').fadeIn('slow');
					
				$('#cart-total').html(json['total']);
				$('#cart').load('index.php?route=module/cart #cart > *');
				$('html, body').animate({ scrollTop: 0 }, 'slow'); 
			}	
		}
	});
});
//--></script>
<?php if ($options) { ?>
<script type="text/javascript" src="catalog/view/javascript/jquery/ajaxupload.js"></script>
<?php foreach ($options as $option) { ?>
<?php if ($option['type'] == 'file') { ?>
<script type="text/javascript"><!--
new AjaxUpload('#button-option-<?php echo $option['product_option_id']; ?>', {
	action: 'index.php?route=product/product/upload',
	name: 'file',
	autoSubmit: true,
	responseType: 'json',
	onSubmit: function(file, extension) {
		$('#button-option-<?php echo $option['product_option_id']; ?>').after('<img src="catalog/view/theme/default/image/loading.gif" class="loading" style="padding-left: 5px;" />');
		$('#button-option-<?php echo $option['product_option_id']; ?>').attr('disabled', true);
	},
	onComplete: function(file, json) {
		$('#button-option-<?php echo $option['product_option_id']; ?>').attr('disabled', false);
		
		$('.error').remove();
		
		if (json['success']) {
			alert(json['success']);
			
			$('input[name=\'option[<?php echo $option['product_option_id']; ?>]\']').attr('value', json['file']);
		}
		
		if (json['error']) {
			$('#option-<?php echo $option['product_option_id']; ?>').after('<span class="error">' + json['error'] + '</span>');
		}
		
		$('.loading').remove();	
	}
});
//--></script>
<?php } ?>
<?php } ?>
<?php } ?>
<script type="text/javascript"><!--
$('#review .pagination a').live('click', function() {
	$('#review').fadeOut('slow');
		
	$('#review').load(this.href);
	
	$('#review').fadeIn('slow');
	
	return false;
});			

$('#review').load('index.php?route=product/product/review&product_id=<?php echo $product_id; ?>');

$('#button-review').bind('click', function() {
	$.ajax({
		url: 'index.php?route=product/product/write&product_id=<?php echo $product_id; ?>',
		type: 'post',
		dataType: 'json',
		data: 'name=' + encodeURIComponent($('input[name=\'name\']').val()) + '&text=' + encodeURIComponent($('textarea[name=\'text\']').val()) + '&rating=' + encodeURIComponent($('input[name=\'rating\']:checked').val() ? $('input[name=\'rating\']:checked').val() : '') + '&captcha=' + encodeURIComponent($('input[name=\'captcha\']').val()),
		beforeSend: function() {
			$('.success, .warning').remove();
			$('#button-review').attr('disabled', true);
			$('#review-title').after('<div class="attention"><img src="catalog/view/theme/default/image/loading.gif" alt="" /> <?php echo $text_wait; ?></div>');
		},
		complete: function() {
			$('#button-review').attr('disabled', false);
			$('.attention').remove();
		},
		success: function(data) {
			if (data['error']) {
				$('#review-title').after('<div class="warning">' + data['error'] + '</div>');
			}
			
			if (data['success']) {
				$('#review-title').after('<div class="success">' + data['success'] + '</div>');
								
				$('input[name=\'name\']').val('');
				$('textarea[name=\'text\']').val('');
				$('input[name=\'rating\']:checked').attr('checked', '');
				$('input[name=\'captcha\']').val('');
			}
		}
	});
});
//--></script> 
<script type="text/javascript"><!--
$('#tabs a').tabs();
//--></script> 
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/jquery-ui-timepicker-addon.js"></script> 
<script type="text/javascript"><!--
$(document).ready(function() {
	if ($.browser.msie && $.browser.version == 6) {
		$('.date, .datetime, .time').bgIframe();
	}

	$('.date').datepicker({dateFormat: 'yy-mm-dd'});
	$('.datetime').datetimepicker({
		dateFormat: 'yy-mm-dd',
		timeFormat: 'h:m'
	});
	$('.time').timepicker({timeFormat: 'h:m'});
});
//--></script> 
    <?php echo $footer; ?>

<?php else : ?>



<div class="row-fluid">
	<div id="content" class="span8">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
 
  <div class="product-info thumbnail">
  <div class="left">
    <?php if ($thumb || $images) { ?>
    
      <?php if ($thumb) { ?>
      <div class="image"><a href="<?php echo $popup; ?>" title="<?php echo $heading_title; ?>" class="colorbox"><img src="<?php echo $thumb; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" id="image" /></a></div>
      <?php } ?>
      <?php if ($images) { ?>
      <div class="image-additional">
        <?php foreach ($images as $image) { ?>
        <a href="<?php echo $image['popup']; ?>" title="<?php echo $heading_title; ?>" class="colorbox"><img src="<?php echo $image['thumb']; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" /></a>
        <?php } ?>
      </div>
      <?php } ?>
    
    <?php } ?>
	
	<table class="table-info">
		<thead>
		<tr>
		<th><?php echo $text_manufacturer; ?></th>
		<th><?php echo $text_model; ?></th>
		<th><?php echo $text_dimensions; ?></th>
		</tr>
		</thead>
		<tr>
		<td><a href="<?php echo $manufacturers; ?>"><?php echo $manufacturer; ?></a></td>
		<td><?php echo $model; ?></td>
		<td><?php echo $length; ?><?php echo $width; ?><?php echo $height; ?></td>
		</tr>
	</table>
	
	<?php if ($tags) { ?>
	  <div class="tags"><b><?php echo $text_tags; ?></b>
		<?php for ($i = 0; $i < count($tags); $i++) { ?>
		<?php if ($i < (count($tags) - 1)) { ?>
		<a href="<?php echo $tags[$i]['href']; ?>"><?php echo $tags[$i]['tag']; ?></a>
		<?php } else { ?>
		<a href="<?php echo $tags[$i]['href']; ?>"><?php echo $tags[$i]['tag']; ?></a>
		<?php } ?>
		<?php } ?>
	  </div>
	 <?php } ?>
	
	</div>
	
	
	
    <div class="right">
	 <h1><?php echo $heading_title; ?></h1>

		<div class="rating">
			<img src="catalog/view/theme/social/image/stars-<?php echo $rating; ?>.png" alt="<?php echo $reviews; ?>" /> (<a class="scroll" href="<?php echo $this->url->link('product/product', 'product_id=' . $product_id); ?>#tabs" onclick="$('a[href=\'#tab-review\']').trigger('click');"><?php echo $reviews; ?></a>) -  <span><?php echo $text_stock; ?></span> <?php echo $stock; ?> <?php if ($reward) { ?>- 
        <span><?php echo $text_reward; ?></span> <?php echo $reward; ?>
        <?php } ?>
		</div>
		
		<?php if ($price) { ?>
      <div class="price <?php if ($special) { ?>price-box<?php } ?>">
        <?php if (!$special) { ?>
        <?php echo $price; ?>
        <?php } else { ?>
		<span class="price-new"><?php echo $special; ?></span>
			<?php if ($tax) { ?>
			<span class="price-tax"><?php echo $text_tax; ?> <?php echo $tax; ?></span><br />
			<?php } ?>
        <span class="price-old"><?php echo $price; ?></span>
        <?php } ?>
        
        <?php if ($points) { ?><br />
        <span class="reward"><small><?php echo $text_points; ?> <?php echo $points; ?></small></span><br />
        <?php } ?>
      </div>
	
		<?php if ($discounts) { ?>
        <div class="discount">
		<h2><?php echo $text_save_more; ?></h2>
          <?php foreach ($discounts as $discount) { ?>
          <?php echo sprintf($text_discount, $discount['quantity'], $discount['price']); ?> | 
          <?php } ?>
        </div>
       <?php } ?>
	
	  
      <?php } ?>
		
     
     
<?php if ($profiles): ?>
      <div class="option">
          <h2><span class="required">*</span><?php echo $text_payment_profile ?></h2>
          <br />
          <select name="profile_id">
              <option value=""><?php echo $text_select; ?></option>
              <?php foreach ($profiles as $profile): ?>
              <option value="<?php echo $profile['profile_id'] ?>"><?php echo $profile['name'] ?></option>
              <?php endforeach; ?>
          </select>
          <br />
          <br />
          <span id="profile-description"></span>
          <br />
          <br />
      </div>
      <?php endif; ?>
      <?php if ($options) { ?>
      <div class="options">
        <h2><?php echo $text_option; ?></h2>
        <?php foreach ($options as $option) { ?>
        <?php if ($option['type'] == 'select') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <select name="option[<?php echo $option['product_option_id']; ?>]">
            <option value=""><?php echo $text_select; ?></option>
            <?php foreach ($option['option_value'] as $option_value) { ?>
            <option value="<?php echo $option_value['product_option_value_id']; ?>"><?php echo $option_value['name']; ?>
            <?php if ($option_value['price']) { ?>
            <?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?>
            <?php } ?>
            </option>
            <?php } ?>
          </select>
        </div>
        <br />
        <?php } ?>
        <?php if ($option['type'] == 'radio') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
		  <div class="prettyRadiobuttons image-radio">
          <?php foreach ($option['option_value'] as $option_value) { ?>
          <p><input type="radio" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option_value['product_option_value_id']; ?>" id="option-value-<?php echo $option_value['product_option_value_id']; ?>" />
          <label for="option-value-<?php echo $option_value['product_option_value_id']; ?>"><?php echo $option_value['name']; ?>
            <?php if ($option_value['price']) { ?>
            <?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?>
			<?php }else{ ?>
			<br />--
			
            <?php } ?>
          </label>
		  </p>
          <?php } ?>
        </div>
		</div>
        <br />
        <?php } ?>
		
		
		
        <?php if ($option['type'] == 'checkbox') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <?php foreach ($option['option_value'] as $option_value) { ?>
          <p><input type="checkbox" name="option[<?php echo $option['product_option_id']; ?>][]" value="<?php echo $option_value['product_option_value_id']; ?>" id="option-value-<?php echo $option_value['product_option_value_id']; ?>" />
          <label for="option-value-<?php echo $option_value['product_option_value_id']; ?>"><?php echo $option_value['name']; ?><span></span>
            <?php if ($option_value['price']) { ?>
            <?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?>
            <?php } ?>
          </label>
          </p>
          <?php } ?>
        </div>
        <br />
        <?php } ?>
        <?php if ($option['type'] == 'image') { ?>
							<div id="option-<?php echo $option['product_option_id']; ?>" class="option">
							<?php if ($option['required']) { ?>
							<span class="required">*</span>
							<?php } ?>
							<b><?php echo $option['name']; ?>:</b><br />
							<div class="prettyRadiobuttons image-radio">
							<?php foreach ($option['option_value'] as $option_value) { ?>
							<p><input type="radio" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option_value['product_option_value_id']; ?>" id="option-value-<?php echo $option_value['product_option_value_id']; ?>" />
							<label for="option-value-<?php echo $option_value['product_option_value_id']; ?>"><img src="<?php echo $option_value['image']; ?>" alt="<?php echo $option_value['name'] . ($option_value['price'] ? ' ' . $option_value['price_prefix'] . $option_value['price'] : ''); ?>" /></label>
							<br />
							<label for="option-value-<?php echo $option_value['product_option_value_id']; ?>"><?php echo $option_value['name']; ?>
							
							<?php if ($option_value['price']) { ?>
							<span class="prefix-price"><?php echo $option_value['price_prefix']; ?><?php echo $option_value['price']; ?></span>
							
							<?php } else { ?>
							<span class="prefix-price">&nbsp;</span>
							<?php } ?>
							
							</label>
							</p>
							<?php } ?>
							</div>
							</div>
							<br />
							<?php } ?>
        <?php if ($option['type'] == 'text') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" />
        </div>
        <br />
        <?php } ?>
        <?php if ($option['type'] == 'textarea') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <textarea name="option[<?php echo $option['product_option_id']; ?>]" cols="40" rows="5"><?php echo $option['option_value']; ?></textarea>
        </div>
        <br />
        <?php } ?>
        <?php if ($option['type'] == 'file') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <input type="button" value="<?php echo $button_upload; ?>" id="button-option-<?php echo $option['product_option_id']; ?>" class="button">
          <input type="hidden" name="option[<?php echo $option['product_option_id']; ?>]" value="" />
        </div>
        <br />
        <?php } ?>
        <?php if ($option['type'] == 'date') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" class="date" />
        </div>
        <br />
        <?php } ?>
        <?php if ($option['type'] == 'datetime') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" class="datetime" />
        </div>
        <br />
        <?php } ?>
        <?php if ($option['type'] == 'time') { ?>
        <div id="option-<?php echo $option['product_option_id']; ?>" class="option">
          <?php if ($option['required']) { ?>
          <span class="required">*</span>
          <?php } ?>
          <b><?php echo $option['name']; ?>:</b><br />
          <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['option_value']; ?>" class="time" />
        </div>
        <br />
        <?php } ?>
        <?php } ?>
      </div>
      <?php } ?>
      <div class="cart">
        <div><span class="addrow"><?php echo $text_qty; ?></span>
		<input type="button" value="+" id="add" />
          <input type="text" id="quantity" name="quantity" size="2" value="<?php echo $minimum; ?>" />
		   <input type="button" value="-" id="minus" />
		  
          <input type="hidden" name="product_id" size="2" value="<?php echo $product_id; ?>" />
          &nbsp;
		  
          <input type="button" value="<?php echo $button_cart; ?>" id="button-cart" class="btn btn-info btn-large" />
		 
		   <?php if ($minimum > 1) { ?>
        <div class="minimum"><?php echo $text_minimum; ?></div>
        <?php } ?>
          
          <span class="links"><a class="add-to-favourite" onclick="addToWishList('<?php echo $product_id; ?>');"><?php echo $button_wishlist; ?></a>
            <a class="compare" onclick="addToCompare('<?php echo $product_id; ?>');"><?php echo $button_compare; ?></a></span>
        </div>
       
      </div>
      <?php if ($review_status) { ?>
      <div class="review">
        <div>&nbsp;&nbsp;<a class="scroll" href="<?php echo $this->url->link('product/product', 'product_id=' . $product_id); ?>#tabs" onclick="$('a[href=\'#tab-review\']').trigger('click');"><?php echo $reviews; ?></a>&nbsp;&nbsp;|&nbsp;&nbsp;<a class="scroll" href="<?php echo $this->url->link('product/product', 'product_id=' . $product_id); ?>#tabs" onclick="$('a[href=\'#tab-review\']').trigger('click');"><?php echo $text_write; ?></a>
        <div class="share"><!-- AddThis Button BEGIN -->
          <div class="addthis_default_style"><a class="addthis_button_compact"><?php echo $text_share; ?></a> <a class="addthis_button_email"></a><a class="addthis_button_print"></a> <a class="addthis_button_facebook"></a> <a class="addthis_button_twitter"></a></div>
          <script type="text/javascript" src="//s7.addthis.com/js/250/addthis_widget.js"></script> 
          <!-- AddThis Button END --> 
        </div>
		</div>
      </div>
      <?php } ?>
    </div>
  </div>
  <div id="tabs" class="htabs"><a href="#tab-description"><?php echo $tab_description; ?></a>
    <?php if ($attribute_groups) { ?>
    <a href="#tab-attribute"><?php echo $tab_attribute; ?></a>
    <?php } ?>
    <?php if ($review_status) { ?>
    <a href="#tab-review"><?php echo $tab_review; ?></a>
    <?php } ?>
    <?php if ($products) { ?>
    <a href="#tab-related"><?php echo $tab_related; ?> (<?php echo count($products); ?>)</a>
    <?php } ?>
  </div>
  <div id="tab-description" class="tab-content"><?php echo $description; ?></div>
  <?php if ($attribute_groups) { ?>
  <div id="tab-attribute" class="tab-content">
    <table class="attribute">
      <?php foreach ($attribute_groups as $attribute_group) { ?>
      <thead>
        <tr>
          <td colspan="2"><?php echo $attribute_group['name']; ?></td>
        </tr>
      </thead>
      <tbody>
        <?php foreach ($attribute_group['attribute'] as $attribute) { ?>
        <tr>
          <td><?php echo $attribute['name']; ?></td>
          <td><?php echo $attribute['text']; ?></td>
        </tr>
        <?php } ?>
      </tbody>
      <?php } ?>
    </table>
  </div>
  <?php } ?>
  <?php if ($review_status) { ?>
  <div id="tab-review" class="tab-content">
    <div id="review"></div>
    <h2 id="review-title"><?php echo $text_write; ?></h2>
    <b><?php echo $entry_name; ?></b><br />
    <input type="text" name="name" value="" />
    <br />
    <br />
    <b><?php echo $entry_review; ?></b>
    <textarea name="text" cols="40" rows="8" style="width: 98%;"></textarea>
    <span style="font-size: 11px;"><?php echo $text_note; ?></span><br />
    <br />
    <p><?php echo $entry_rating; ?></p>
    <p class="star-vote"><input type="radio" name="rating" id="rating1" value="1" />
    <label for="rating1"><span></span>1 (<?php echo $entry_bad; ?>)</label></p>
    <p class="star-vote"><input type="radio" name="rating" id="rating2" value="2" />
	<label for="rating2"><span></span>2</label></p>
    <p class="star-vote"><input type="radio" name="rating" id="rating3" value="3" />
    <label for="rating3"><span></span>3</label></p>
    <p class="star-vote"><input type="radio" name="rating" id="rating4" value="4" />
    <label for="rating4"><span></span>4</label></p>
    <p class="star-vote"><input type="radio" name="rating" id="rating5" value="5" />
	<label for="rating5"><span></span>5 (<?php echo $entry_good; ?>)</label></p>
    <p class="captcha"><?php echo $entry_captcha; ?><br />
    <input type="text" name="captcha" value="" />
    <br />
    <img src="index.php?route=product/product/captcha" alt="" id="captcha" /><br />
    </p>
    <div class="buttons">
      <div class="right"><a id="button-review" class="btn btn-info"><?php echo $button_continue; ?></a></div>
    </div>
  </div>
  <?php } ?>
  <?php if ($products) { ?>
  <div id="tab-related" class="tab-content">
    <div class="box-product">
      <ul class="thumbnails">
		<?php foreach ($products as $product) { ?>
			<li class="span3 thumbnail">
				<?php if ($product['thumb']) { ?>
				<a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a>
				<?php } ?>
				<a class="product-name" href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a>
        
			<div class="rating">
			<img src="catalog/view/theme/social/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" />
			</div>
				
			<p><?php echo $product['description']; ?></p>

			<?php if ($product['price']) { ?>
				<span class="price">
					<?php if (!$product['special']) { ?>
					<span class="price-new"><?php echo $product['price']; ?></span>
					<?php } else { ?>
					<span class="price-new"><?php echo $product['special']; ?></span>
					<span class="price-old"><?php echo $product['price']; ?></span>
					<?php } ?>
				</span>
			<?php } ?>
        
			<div class="visible-on-hover">
			<input title="<?php echo $button_cart; ?>" type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="btn btn-info" /><br />
			<a class="add-to-favourite" onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><?php echo $button_wishlist; ?></a>
			</div>

			</li>
		<?php } ?>
		</ul>
    </div>
  </div>
  <?php } ?>
  
  </div>
  <div class="span4">
			<?php echo $column_right; ?>
			</div>
		
	</div>
  <div class="row-fluid">
<div id="bottom-extended">
  
  <?php echo $content_bottom; ?></div>
  
  </div>
  
  
  

  
<script type="text/javascript"><!--
$(document).ready(function() {
	$('.colorbox').colorbox({
		overlayClose: true,
		opacity: 0.5,
		rel: "colorbox"
	});
});
//--></script> 
<script type="text/javascript"><!--
$('select[name="profile_id"], input[name="quantity"]').change(function(){
    $.ajax({
		url: 'index.php?route=product/product/getRecurringDescription',
		type: 'post',
		data: $('input[name="product_id"], input[name="quantity"], select[name="profile_id"]'),
		dataType: 'json',
        beforeSend: function() {
            $('#profile-description').html('');
        },
		success: function(json) {
			$('.success, .warning, .attention, information, .error').remove();
            
			if (json['success']) {
                $('#profile-description').html(json['success']);
			}	
		}
	});
});
$('#button-cart').bind('click', function() {
	$.ajax({
		url: 'index.php?route=checkout/cart/add',
		type: 'post',
		data: $('.product-info input[type=\'text\'], .product-info input[type=\'hidden\'], .product-info input[type=\'radio\']:checked, .product-info input[type=\'checkbox\']:checked, .product-info select, .product-info textarea'),
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, information, .error').remove();
			
			if (json['error']) {
				if (json['error']['option']) {
					for (i in json['error']['option']) {
						$('#option-' + i).after('<span class="error"><span>' + json['error']['option'][i] + '</span></span>');
					
					}
}
if (json['error']['profile']) {
                    $('select[name="profile_id"]').after('<span class="error">' + json['error']['profile'] + '</span>');
				}
			} 
			
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>');
					
				$('.success').fadeIn('slow');
					
				$('#cart-total').html(json['total']);
				
				$('html, body').animate({ scrollTop: 0 }, 'slow'); 
			}	
		}
	});
});
//--></script>
<?php if ($options) { ?>
<script type="text/javascript" src="catalog/view/javascript/jquery/ajaxupload.js"></script>
<?php foreach ($options as $option) { ?>
<?php if ($option['type'] == 'file') { ?>
<script type="text/javascript"><!--
new AjaxUpload('#button-option-<?php echo $option['product_option_id']; ?>', {
	action: 'index.php?route=product/product/upload',
	name: 'file',
	autoSubmit: true,
	responseType: 'json',
	onSubmit: function(file, extension) {
		$('#button-option-<?php echo $option['product_option_id']; ?>').after('<img src="catalog/view/theme/default/image/loading.gif" class="loading" style="padding-left: 5px;" />');
		$('#button-option-<?php echo $option['product_option_id']; ?>').attr('disabled', true);
	},
	onComplete: function(file, json) {
		$('#button-option-<?php echo $option['product_option_id']; ?>').attr('disabled', false);
		
		$('.error').remove();
		
		if (json['success']) {
			alert(json['success']);
			
			$('input[name=\'option[<?php echo $option['product_option_id']; ?>]\']').attr('value', json['file']);
		}
		
		if (json['error']) {
			$('#option-<?php echo $option['product_option_id']; ?>').after('<span class="error">' + json['error'] + '</span>');
		}
		
		$('.loading').remove();	
	}
});
//--></script>
<?php } ?>
<?php } ?>
<?php } ?>
<script type="text/javascript"><!--
$('#review .pagination a').live('click', function() {
	$('#review').fadeOut('slow');
		
	$('#review').load(this.href);
	
	$('#review').fadeIn('slow');
	
	return false;
});			

$('#review').load('index.php?route=product/product/review&product_id=<?php echo $product_id; ?>');

$('#button-review').bind('click', function() {
	$.ajax({
		url: 'index.php?route=product/product/write&product_id=<?php echo $product_id; ?>',
		type: 'post',
		dataType: 'json',
		data: 'name=' + encodeURIComponent($('input[name=\'name\']').val()) + '&text=' + encodeURIComponent($('textarea[name=\'text\']').val()) + '&rating=' + encodeURIComponent($('input[name=\'rating\']:checked').val() ? $('input[name=\'rating\']:checked').val() : '') + '&captcha=' + encodeURIComponent($('input[name=\'captcha\']').val()),
		beforeSend: function() {
			$('.success, .warning').remove();
			$('#button-review').attr('disabled', true);
			$('#review-title').after('<div class="attention"><img src="catalog/view/theme/default/image/loading.gif" alt="" /> <?php echo $text_wait; ?></div>');
		},
		complete: function() {
			$('#button-review').attr('disabled', false);
			$('.attention').remove();
		},
		success: function(data) {
			if (data['error']) {
				$('#review-title').after('<div class="warning">' + data['error'] + '</div>');
			}
			
			if (data['success']) {
				$('#review-title').after('<div class="success">' + data['success'] + '</div>');
								
				$('input[name=\'name\']').val('');
				$('textarea[name=\'text\']').val('');
				$('input[name=\'rating\']:checked').attr('checked', '');
				$('input[name=\'captcha\']').val('');
			}
		}
	});
});
//--></script> 
<script type="text/javascript"><!--
$('#tabs a').tabs();
//--></script> 
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/jquery-ui-timepicker-addon.js"></script> 
<script type="text/javascript"><!--
$(document).ready(function() {
	if ($.browser.msie && $.browser.version == 6) {
		$('.date, .datetime, .time').bgIframe();
	}

	$('.date').datepicker({dateFormat: 'yy-mm-dd'});
	$('.datetime').datetimepicker({
		dateFormat: 'yy-mm-dd',
		timeFormat: 'h:m'
	});
	$('.time').timepicker({timeFormat: 'h:m'});
});
//--></script> 
<?php echo $footer; ?>
  <?php endif; ?>





